var G5Plus = G5Plus || {};
(function ($) {
    "use strict";

    var $window = $(window),
        $body = $('body'),
		isRTL = $body.hasClass('rtl'),
        deviceAgent = navigator.userAgent.toLowerCase(),
        isMobile = deviceAgent.match(/(iphone|ipod|android|iemobile)/),
        isMobileAlt = deviceAgent.match(/(iphone|ipod|ipad|android|iemobile)/),
        isAppleDevice = deviceAgent.match(/(iphone|ipod|ipad)/),
        isIEMobile = deviceAgent.match(/(iemobile)/);


    G5Plus.common = {
        init: function () {
			this.slick();
			this.slickResize();
	        this.tooltip();
	        this.lightGallery();
			this.gridLayout();
			this.count_down();
        },
		windowResized: function(){
			G5Plus.common.slickChanges();
		},
	    slick : function() {
			$('.slick:not(.slick-initialized)').each(function (){
				var _slider = $(this);
				var defaults = {
					adaptiveHeight: true,
					slidesToShow: 4,
					slidesToScroll: 1,
					infinite: false,
					speed: 300,
					cssEase: 'linear',
					arrows: false,
					rtl: isRTL,
					prevArrow: '<span class="slick-prev"><i class="fa fa-chevron-left"></i></span>',
					nextArrow: '<span class="slick-next"><i class="fa fa-chevron-right"></i></span>',
					dots : true,
					customPaging: function(slider, i) {
						return '';
					}
				};
				var config = $.extend({}, defaults, _slider.data("slick-config"));
				if (isRTL) {
					config['fade'] = false;
				}
				if (_slider.hasClass('g5plus-slider-container')) {
					$('> div',_slider).each(function(){
						$(this).wrap( '<div></div>');
					});
				}
				// Initialize Slider
				_slider.slick(config);
			});
	    },
		slickChanges : function($parent) {
			if (typeof($parent) == 'undefined') {
				$parent = $body;
			}
			$('.slick.slick-initialized',$parent).each(function (){
				var $slick = $(this);
				var currentSlide = $slick.slick('slickCurrentSlide');
				$slick.slick('slickGoTo', currentSlide);
				setTimeout(function(){
					$slick.slick('slickGoTo', currentSlide);
				},500);

			});
		},
		slickResize: function(){
			$(window).resize(function() {
				$('.slick').slick('resize');
			});
			$(window).on('orientationchange', function() {
				$('.slick').slick('resize');
			});
		},
	    isDesktop: function () {
		    var responsive_breakpoint = 991;
		    var $menu = $('.x-nav-menu');
		    if (($menu.length > 0) && (typeof ($menu.attr('responsive-breakpoint')) != "undefined" ) && !isNaN(parseInt($menu.attr('responsive-breakpoint'), 10))) {
			    responsive_breakpoint = parseInt($menu.attr('responsive-breakpoint'), 10);
		    }
		    return window.matchMedia('(min-width: ' + (responsive_breakpoint + 1) + 'px)').matches;
	    },
	    tooltip: function() {
		    if ($().tooltip && !isMobileAlt) {
			    if (!$body.hasClass('woocommerce-compare-page')) {
				    $('[data-toggle="tooltip"]').tooltip();
			    }

			    $('.yith-wcwl-wishlistexistsbrowse,.yith-wcwl-add-button,.yith-wcwl-wishlistaddedbrowse', '.product-actions').each(function(){
					var title = $('a',$(this)).text().trim();
				    $(this).tooltip({
					   title: title
				    });
			    });

			    $('.compare','.product-actions').each(function(){
				    var title = $(this).text().trim();
				    $(this).tooltip({
					    title: title
				    });
			    });


			    /*$('.yith-wcwl-wishlistexistsbrowse,.yith-wcwl-add-button,.yith-wcwl-wishlistaddedbrowse', '.product-actions').tooltip({
				    title: g5plus_framework_constant.product_wishList
			    });*/
		    }
	    },
	    lightGallery: function(){
		    $('.captions').each(function () {
			    var width = $(this).data('width');
			    var height = $(this).data('height');
				var size = (76*width)/height;
				if(isNaN(width) || isNaN(height) || (height == 0) || (width == 0)){
					size = 120;
				}
			    var _light_gallery = $(this);
			    var defaults = {
				    mousewheel: false,
				    thumbWidth: size,
					hash: false,
				    selector: '.captions a.jg-entry'
			    };

			    var config = $.extend({}, defaults);
			    _light_gallery.lightGallery(config);
		    });
		    $('.lightgallery-video').each(function () {
			    var _light_gallery = $(this);
			    var defaults = {
				    mousewheel: false,
				    selector: '.lightgallery-video a.light-video'
			    };
			    var config = $.extend({}, defaults);
			    _light_gallery.lightGallery(config);
		    });
		    $('.captions .entry-thumbnail .image-link-hover .light-gallery-hover').on("click",function(){
			    $('>a', $(this).parent().parent()).click();
		    })
		    $('.lightgallery-video .entry-thumbnail .play-video-hover').on("click",function(){
			    $('>a.entry-thumbnail-overlay', $(this).parent()).click();
		    })
	    },
		gridLayout : function() {
			var $blog_grid = $('.g5plus-posts.style-post-default .no-slick');
			$blog_grid.imagesLoaded( function() {
				$blog_grid.isotope({
					itemSelector : 'article',
					layoutMode: "fitRows",
					isOriginLeft: !isRTL
				});
				setTimeout(function () {
					$blog_grid.isotope('layout');
				}, 500);
			});
			var $testimonial = $('.g5plus-testimonials .no-slick');
			$testimonial.imagesLoaded( function() {
				$testimonial.isotope({
					itemSelector : '.column-no-slick',
					layoutMode: "fitRows",
					isOriginLeft: !isRTL
				});
				setTimeout(function () {
					$testimonial.isotope('layout');
				}, 500);
			});
			var $services = $('.services-content.no-slick');
			$services.imagesLoaded( function() {
				$services.isotope({
					itemSelector : '.services-item',
					layoutMode: "fitRows",
					isOriginLeft: !isRTL
				});
				setTimeout(function () {
					$services.isotope('layout');
				}, 500);
			});
		},
		count_down: function(){
			$('.g5plus-countdown').each(function(){
				var date_end = $(this).data('date-end');
				var $this = $(this);
				$this.countdown(date_end,function(event){
					count_down_callback(event,$this);
				}).on('update.countdown', function(event) {
					count_down_callback(event,$this);
				}).on('finish.countdown', function(event){
					$('.countdown-seconds',$this).html(0);
						var $url_redirect = $this.attr('data-url-redirect');
						if(typeof $url_redirect!='undefined' && $url_redirect!='' ){
							window.location.href= $url_redirect;
						}
				});
			});

			function count_down_callback(event,$this) {
				var seconds = parseInt(event.offset.seconds);
				var minutes = parseInt(event.offset.minutes);
				var hours = parseInt(event.offset.hours);
				var days = parseInt(event.offset.totalDays);
				var months = 0;
				if(days >= 30){
					months = parseFloat(parseInt(days/30));
					var days_tem = days%30;
					days = days_tem;
				}

				if ((seconds == 0)&& (minutes == 0) && (hours == 0) && (days == 0) && (months == 0)) {
					var $url_redirect = $this.attr('data-url-redirect');
					if(typeof $url_redirect!='undefined' && $url_redirect!='' ){
						window.location.href= $url_redirect;
					}
					return;
				}
				if (months < 10) months = '0' + months;
				if (days < 10) days = '0' + days;
				if (hours < 10) hours = '0' + hours;
				if (minutes < 10) minutes = '0' + minutes;
				if (seconds < 10) seconds = '0' + seconds;

				$('.countdown-month',$this).text(months);
				$('.countdown-day',$this).text(days);
				$('.countdown-hours',$this).text(hours);
				$('.countdown-minutes',$this).text(minutes);
				$('.countdown-seconds',$this).text(seconds);
			}
		},
		gridLayoutResize:function(){
			setTimeout(function () {
				var $blog_grid = $('.g5plus-posts.style-post-default .no-slick');
				$blog_grid.isotope('layout');
				var $testimonial = $('.g5plus-testimonials .no-slick');
				$testimonial.isotope('layout');
				var $services = $('.services-content.no-slick');
				$services.isotope('layout');
			}, 500);
		}
    };


    G5Plus.page = {
        init: function () {
	        this.parallax();
	        this.parallaxDisable();
	        this.pageTitle();
			this.footerParallax();
			this.footerWidgetCollapse();
	        this.button();
			this.backToTop();
			this.pageTransition();
        },
        events : function() {
        },
		windowLoad : function() {
			this.fadePageIn();
		},
        windowResized: function() {
	        this.parallaxDisable();
	        this.pageTitle();
			this.footerParallax();
			this.footerWidgetCollapse();
	        this.button();
        },
	    parallax: function() {
		    $.stellar({
			    horizontalScrolling: false,
			    scrollProperty: 'scroll',
			    positionProperty: 'position',
			    responsive: false
		    });
	    },
	    parallaxDisable: function() {
		    if (G5Plus.common.isDesktop()) {
			    $('.parallax').removeClass('parallax-disabled');
		    } else {
			    $('.parallax').addClass('parallax-disabled');
		    }
	    },
	    pageTitle : function() {
		    var $this = $('.page-title-layout-normal'),
			    $container = $('.container',$this),
			    $pageTitle = $('h1',$this),
			    $breadcrumbs = $('.breadcrumbs',$this);
		    $this.removeClass('left');
		    if (($pageTitle.width() + $breadcrumbs.width()) > $container.width()) {
			    $this.addClass('left');
		    }
	    },
		footerParallax: function() {
			if( window.matchMedia('(max-width: 767px)').matches){
				$body.css('margin-bottom','');
			}
			else {
				setTimeout(function () {
					var $footer = $('footer.main-footer-wrapper');
					if ($footer.hasClass('enable-parallax')) {
						var headerSticky  = $('header.main-header .sticky-wrapper').length > 0 ? 55 : 0,
							$adminBar = $('#wpadminbar'),
							$adminBarHeight = $adminBar.length > 0 ?  $adminBar.outerHeight() : 0;
						if (($window.height() >= ($footer.outerHeight() + headerSticky + $adminBarHeight))) {
							$body.css('margin-bottom', ($footer.outerHeight()) + 'px');
							$footer.removeClass('static');
						} else {
							$body.css('margin-bottom','');
							$footer.addClass('static');
						}
					}
				}, 100);
			}

		},
		footerWidgetCollapse : function() {
			if( window.matchMedia('(max-width: 767px)').matches){
				$('footer.footer-collapse-able aside.widget').each(function(){
					var $title = $('h4.widget-title',this);
					var $content = $title.next();
					$title.addClass('title-collapse');
					if(($content != null) && (typeof($content) != 'undefined')) {
						$content.hide();
					}
					$title.off();
					$title.on('click', function(){
						var $content = $(this).next();

						if($(this).hasClass('title-expanded')){
							$(this).removeClass('title-expanded');
							$title.addClass('title-collapse');
							$content.slideUp();
						}
						else
						{
							$(this).addClass('title-expanded');
							$title.removeClass('title-collapse');
							$content.slideDown();
						}

					});

				});
			}else{
				$('footer aside.widget').each(function(){
					var $title = $('h4.widget-title',this);
					$title.off();
					var $content = $title.next();
					$title.removeClass('collapse');
					$title.removeClass('expanded');
					$content.show();
				});
			}
		},
		backToTop : function() {
			var $backToTop = $('.back-to-top');
			if ($backToTop.length > 0) {
				$backToTop.on("click",function(event) {
					event.preventDefault();
					$('html,body').animate({scrollTop: '0px'},800);
				});
				$window.on('scroll', function (event) {
					var scrollPosition = $window.scrollTop();
					var windowHeight = $window.height() / 2;
					if (scrollPosition > windowHeight) {
						$backToTop.addClass('in');
					}
					else {
						$backToTop.removeClass('in');
					}
				});
			}
		},
	    button: function(){
		    $('.btn.btn-block.btn-icon').each(function(){
			    var $width = $(this).outerWidth() - $('i',$(this)).outerWidth() - parseInt($('i',$(this)).css('margin-left').replace('px',''),10) - parseInt($('i',$(this)).css('margin-right').replace('px',''),10);
			    $('span',$(this)).css({
				    'width' : $width + 'px'
			    });
		    });
	    },
		pageTransition : function() {
			if ($body.hasClass('page-transitions')) {
				var linkElement = '.animsition-link, a[href]:not([target="_blank"]):not([href^="#"]):not([href*="javascript"]):not([href*=".jpg"]):not([href*=".jpeg"]):not([href*=".gif"]):not([href*=".png"]):not([href*=".mov"]):not([href*=".swf"]):not([href*=".mp4"]):not([href*=".flv"]):not([href*=".avi"]):not([href*=".mp3"]):not([href^="mailto:"]):not([class*="no-animation"]):not([class*="prettyPhoto"]):not([class*="add_to_wishlist"]):not([class*="add_to_cart_button"]):not([class*="compare"])';
				$(linkElement).on('click', function(event) {
					if ($( event.target ).closest($('b.x-caret', this)).length > 0) {
						event.preventDefault();
						return;
					}
					event.preventDefault();
					var $self = $(this);
					var url = $self.attr('href');

					// middle mouse button issue #24
					// if(middle mouse button || command key || shift key || win control key)
					if (event.which === 2 || event.metaKey || event.shiftKey || navigator.platform.toUpperCase().indexOf('WIN') !== -1 && event.ctrlKey) {
						window.open(url, '_blank');
					} else {
						G5Plus.page.fadePageOut(url);
					}

				});
			}
		},
		fadePageIn : function() {
			if ($body.hasClass('page-loading')) {
				var preloadTime = 1000,
					$loading = $('.site-loading');
				$loading.css('opacity', '0');
				setTimeout(function() {
					$loading.css('display', 'none');
				}, preloadTime);
			}
		},
		fadePageOut: function(link) {

			$('.site-loading').css('display', 'block').animate({
				opacity: 1,
				delay: 200
			}, 600, "linear" );

			$('html,body').animate({scrollTop: '0px'},800);

			setTimeout(function() {
				window.location = link;
			}, 600);
		}
    };

    G5Plus.portfolio = {
		action_from: '',
        init: function () {
			this.thumbnailInit();
			this.mainSliderInit();
        },
		thumbnailInit: function(){
			$('a.nav-slideshow','.slick.thumb').on("click",function(){
				if(this.action_from != 'main-slick'){
					this.action_from = 'thumb-slick';
					var $data_index = $(this).attr('data-index');
					if(typeof $data_index!='undefined'){
						$('.main-slide','.single-portfolio').slick('slickGoTo',$data_index);
						var $parent = $(this).parent();
						if(typeof  $parent !='undefined'){
							$('.slick-slide','.slick.thumb').removeClass('slick-current');
							$parent.addClass('slick-current');
						}

					}
				}
				this.action_from = '';
			})
		},
		mainSliderInit: function(){
			$('.main-slide','.single-portfolio').on('afterChange', function(event, slick, currentSlide, nextSlide){
				if(this.action_from != 'thumb-slick'){
					this.action_from = 'main-slick';
					$('.slick.thumb','.single-portfolio').slick('slickGoTo',currentSlide);
					$('.slick-slide','.slick.thumb').removeClass('slick-current');
					$('div[data-slick-index="' +currentSlide + '"]' ,'.slick.thumb').addClass('slick-current');
				}
				this.action_from = '';
			});

		}
    };

    G5Plus.blog = {
        init: function () {
	        this.masonryLayout();
	        setTimeout(this.masonryLayout,300);
	        this.postMeta();
	        this.loadMore();
	        this.infiniteScroll();
	        this.commentReplyTitle();
			this.sliderMasonry();

        },
        windowResized: function() {
	        this.postMeta();
        },
	    postMeta: function() {
		    $('article.post-large-image .entry-meta-wrap,article.post-medium-image .entry-meta-wrap,article.post-masonry .entry-meta-wrap').each(function(){
			    var $this = $(this),
				    $moreLink = $('.read-more',$this),
				    $meta = $('.entry-post-meta',$this);
			    $this.removeClass('left');
			    if (($moreLink.width() + $meta.width()) > $this.width()) {
				    $this.addClass('left');
			    }
		    });
	    },
	    loadMore: function() {
		    $('.paging-navigation').on('click','.blog-load-more',function(event){
			    event.preventDefault();
			    var $this = $(this).button('loading'),
				    link = $(this).attr('data-href'),
				    contentWrapper = '.blog-wrap',
				    element = '.blog-wrap article';

			    $.get(link,function (data) {
				    var next_href = $('.blog-load-more', data).attr('data-href'),
					    $newElems = $(element, data).css({
						    opacity: 0
					    });
				    $(contentWrapper).append($newElems);

				    $newElems.imagesLoaded({ background: true },function () {
					    G5Plus.common.slick();
					    G5Plus.blog.postMeta();
					    $newElems.animate({
						    opacity: 1
					    });

					    if ($('.archive-wrap').hasClass('archive-masonry')) {
						    $(contentWrapper).isotope('appended', $newElems);
						    setTimeout(function() {
							    $(contentWrapper).isotope('layout');
						    }, 400);
					    }
				    });

				    if (typeof(next_href) == 'undefined') {
					    $this.parent().remove();
				    } else {
					    $this.button('reset');
					    $this.attr('data-href', next_href);
				    }
			    });
		    });

	    },
	    infiniteScroll: function() {
		    var $container = $('.blog-wrap');
		    $container.infinitescroll({
			    navSelector  : '#infinite_scroll_button',    // selector for the paged navigation
			    nextSelector : '#infinite_scroll_button a',  // selector for the NEXT link (to page 2)
			    itemSelector : 'article',     // selector for all items you'll retrieve
			    animate : true,
			    loading: {
				    finishedMsg: 'No more pages to load.',
				    selector: '#infinite_scroll_loading',
				    img: g5plus_app_variable.theme_url + 'assets/images/ajax-loader.gif',
				    msgText: 'Loading...'
			    }
		    },function(newElements){
			    var $newElems = $(newElements).css({
				    opacity: 0
			    });

			    $newElems.imagesLoaded({ background: true },function () {
				    G5Plus.common.slick();
				    G5Plus.blog.postMeta();
				    $newElems.animate({
					    opacity: 1
				    });
				    if ($('.archive-wrap').hasClass('archive-masonry')) {
					    $container.isotope('appended', $newElems);
					    setTimeout(function() {
						    $container.isotope('layout');
					    }, 400);
				    }
			    });
		    });

	    },
	    masonryLayout: function() {
		    var $container = $('.archive-masonry .blog-wrap');
		    $container.imagesLoaded({ background: true }, function() {
			    $container.isotope({
				    itemSelector : 'article',
				    layoutMode: "masonry",
				    isOriginLeft: !isRTL
			    });
			    setTimeout(function () {
				    $container.isotope('layout');
			    }, 500);
		    });

	    },
	    commentReplyTitle: function() {
		    var $replyTitle = $('h3#reply-title');
		    $replyTitle.addClass('widget-title mg-top-40');
		    var $smallTag = $('small', $replyTitle);
		    $smallTag.remove();
		    $replyTitle.html('<span>' + $replyTitle.text() + '</span> ');
		    $replyTitle.append($smallTag);
	    },
		sliderMasonry: function () {
			$('.slick').on('afterChange', function(event, slick, currentSlide, nextSlide){
				var $container = $('.archive-masonry .blog-wrap');
				$container.isotope('layout');
			});
		}

    };
    G5Plus.woocommerce = {
        init: function () {
	        this.addToWishlist();
	        if (!$body.hasClass('woocommerce-compare-page')) {
		        this.addToCart();
	        }
	        this.addCartQuantity();
			this.shoppingCart();
	        this.quickView();
	        this.sale_countdown();
	        this.processWidgetTitle();
			this.singleProductImage();
	        $body.bind('updated_shipping_method', G5Plus.woocommerce.processWidgetTitle);
	        $(document).bind('yith-wcan-ajax-filtered', G5Plus.common.tooltip);
	        this.categoryName();

        },
        windowResized : function () {
	        this.categoryName();
        },
        windowLoad : function() {
        },
	    addToWishlist : function() {
		    $(document).on('click', '.add_to_wishlist', function () {
			    var button = $(this),
				    buttonWrap = button.parent().parent();

			    if (!buttonWrap.parent().hasClass('single-product-function')) {
				    button.addClass("added-spinner");
				    var productWrap = buttonWrap.parent().parent().parent().parent();
				    if (typeof(productWrap) == 'undefined') {
					    return;
				    }
				    productWrap.addClass('active');
			    }

		    });

		    $body.bind("added_to_wishlist", function (event, fragments, cart_hash, $thisbutton) {
			    var button = $('.added-spinner.add_to_wishlist'),
				    buttonWrap = button.parent().parent();
			    if (!buttonWrap.parent().hasClass('single-product-function')) {
				    var productWrap = buttonWrap.parent().parent().parent().parent();
				    if (typeof(productWrap) == 'undefined') {
					    return;
				    }
				    setTimeout(function () {
					    productWrap.removeClass('active');
					    button.removeClass('added-spinner');
				    }, 700);
			    }

		    });
	    },
	    addToCart: function() {

			$(document).on('click', '.add_to_cart_button', function () {
				var button = $(this),
					buttonWrap = button.parent();

				if (!button.hasClass('single_add_to_cart_button') && button.is( '.product_type_simple' )) {
					buttonWrap.addClass("added-spinner");
				}

			});

			$body.bind("added_to_cart", function (event, fragments, cart_hash, $thisbutton) {
				var is_single_product = $thisbutton.hasClass('single_add_to_cart_button');

				if (is_single_product) return;

				var button = $thisbutton,
					buttonWrap = button.parent(),
					buttonViewCart = buttonWrap.find('.added_to_cart'),
					addedTitle = buttonViewCart.text(),
					productWrap = buttonWrap.parent().parent().parent().parent();

				button.remove();

				buttonViewCart.html('<i class="fa fa-check"></i>');
				setTimeout(function () {
					buttonWrap.tooltip('hide').attr('title', addedTitle).tooltip('fixTitle');
				}, 500);

				setTimeout(function () {
					productWrap.removeClass('active');
				}, 700);

			});

	    },
	    singleProductImage: function($productImageWrap) {
		    var $sliderMain = $('.images','.single-thumbnail-wrap'),
			    $sliderThumb = $('.thumbnails','.single-product-wrap .summary');

		    $sliderMain.slick({
			    slidesToShow: 1,
			    slidesToScroll: 1,
			    arrows: true,
				prevArrow: '<span class="slick-prev"><i class="fa fa-chevron-left"></i></span>',
				nextArrow: '<span class="slick-next"><i class="fa fa-chevron-right"></i></span>',
			    dots: false,
			    asNavFor: $sliderThumb,
			    infinite: false,
			    speed: 400,
			    adaptiveHeight: true

		    });
		    $sliderThumb.slick({
			    slidesToShow: 4,
			    slidesToScroll: 1,
			    asNavFor: $sliderMain,
			    dots: false,
				infinite: false,
			    arrows: false,
			    focusOnSelect: true,
			    swipeToSlide: true,
			    speed: 400,
			    responsive: [
				    {
					    breakpoint: 1230,
					    settings: {
						    slidesToShow: 4
					    }
				    },
				    {
					    breakpoint: 1020,
					    settings: {
						    slidesToShow: 3
					    }
				    },
				    {
					    breakpoint: 768,
					    settings: {
						    slidesToShow: 4
					    }
				    },
				    {
					    breakpoint: 480,
					    settings: {
						    slidesToShow: 3
					    }
				    }
			    ]
		    });

			$('.thumbnails a').on("click",function(e){
				e.preventDefault();
				var number = $(this).data("slick-index");
				$sliderMain.slick("slickGoTo", number);
				return false;
			});
			$('a',$sliderMain).prettyPhoto();

	    },
	    addCartQuantity: function(){
		    $(document).off('click', '.quantity .btn-number').on('click', '.quantity .btn-number', function (event) {
			    event.preventDefault();
			    var type = $(this).data('type'),
				    input = $('input', $(this).parent()),
				    current_value = parseFloat(input.val()),
				    max  = parseFloat(input.attr('max')),
				    min = parseFloat(input.attr('min')),
				    step = parseFloat(input.attr('step')),
				    stepLength = 0;
			    if (input.attr('step').indexOf('.') > 0) {
				    stepLength = input.attr('step').split('.')[1].length;
			    }

			    if (isNaN(max)) {
				    max = 100;
			    }
			    if (isNaN(min)) {
				    min = 0;
			    }
			    if (isNaN(step)) {
				    step = 1;
				    stepLength = 0;
			    }

			    if (!isNaN(current_value)) {
				    if (type == 'minus') {
					    if (current_value > min) {
						    current_value = (current_value - step).toFixed(stepLength);
						    input.val(current_value).change();
					    }

					    if (parseFloat(input.val()) <= min) {
						    input.val(min).change();
						    $(this).attr('disabled', true);
					    }
				    }

				    if (type == 'plus') {
					    if (current_value < max) {
						    current_value = (current_value + step).toFixed(stepLength);
						    input.val(current_value).change();
					    }
					    if (parseFloat(input.val()) >= max) {
						    input.val(max).change();
						    $(this).attr('disabled', true);
					    }
				    }
			    } else {
				    input.val(min);
			    }
		    });


		    $('input', '.quantity').focusin(function () {
			    $(this).data('oldValue', $(this).val());
		    });

		    $('input', '.quantity').on('change', function () {
			    var input = $(this),
				    max = parseFloat(input.attr('max')),
				    min = parseFloat(input.attr('min')),
				    current_value = parseFloat(input.val()),
				    step = parseFloat(input.attr('step'));

			    if (isNaN(max)) {
				    max = 100;
			    }
			    if (isNaN(min)) {
				    min = 0;
			    }

			    if (isNaN(step)) {
				    step = 1;
			    }


			    var btn_add_to_cart = $('.add_to_cart_button', $(this).parent().parent().parent());
			    if (current_value >= min) {
				    $(".btn-number[data-type='minus']", $(this).parent()).removeAttr('disabled');
				    if (typeof(btn_add_to_cart) != 'undefined') {
					    btn_add_to_cart.attr('data-quantity', current_value);
				    }

			    } else {
				    alert('Sorry, the minimum value was reached');
				    $(this).val($(this).data('oldValue'));

				    if (typeof(btn_add_to_cart) != 'undefined') {
					    btn_add_to_cart.attr('data-quantity', $(this).data('oldValue'));
				    }
			    }

			    if (current_value <= max) {
				    $(".btn-number[data-type='plus']", $(this).parent()).removeAttr('disabled');
				    if (typeof(btn_add_to_cart) != 'undefined') {
					    btn_add_to_cart.attr('data-quantity', current_value);
				    }
			    } else {
				    alert('Sorry, the maximum value was reached');
				    $(this).val($(this).data('oldValue'));
				    if (typeof(btn_add_to_cart) != 'undefined') {
					    btn_add_to_cart.attr('data-quantity', $(this).data('oldValue'));
				    }
			    }

		    });
	    },
	    processWidgetTitle: function(){
		    $('.cart_totals > h2,.woocommerce-account .woocommerce h3,.woocommerce-account .woocommerce h2,.woocommerce-checkout .woocommerce h3,.woocommerce-checkout .woocommerce h2').each(function(){
				$(this).addClass('widget-title mg-bottom-30').html('<span>'+ $(this).html().trim() +'</span>');
		    });
	    },
	    quickView: function(){
		    var is_click_quick_view = false;
		    $(document).on('click', '.product-quick-view', function (event) {
			    event.preventDefault();
			    if (is_click_quick_view) return;
			    is_click_quick_view = true;
			    var product_id = $(this).data('product_id'),
				    popupWrapper = '#popup-product-quick-view-wrapper',
				    $icon = $(this).find('i'),
				    iconClass = $icon.attr('class'),
				    productWrap = $(this).parent().parent().parent().parent(),
				    button = $(this);
			    productWrap.addClass('active');
			    button.addClass('active');
			    $icon.attr('class','fa fa-spinner fa-pulse');
			    $.ajax({
				    url: g5plus_app_variable.ajax_url,
				    data: {
					    action: 'product_quick_view',
					    id: product_id
				    },
				    success: function (html) {
					    productWrap.removeClass('active');
					    button.removeClass('active');
					    $icon.attr('class',iconClass);
					    if ($(popupWrapper).length) {
						    $(popupWrapper).remove();
					    }
					    $('body').append(html);
					    G5Plus.woocommerce.addCartQuantity();
					    G5Plus.common.tooltip();
					    G5Plus.woocommerce.sale_countdown();
					    $(popupWrapper).modal();
					    is_click_quick_view = false;
						$(popupWrapper).on('shown.bs.modal', function (e) {
							console.log(11111);
							$('.single-product-image .images a','#popup-product-quick-view-wrapper').attr('href','javascript:;');
							setTimeout(function(){
								$('.single-product-image .images','#popup-product-quick-view-wrapper').slick({
									slidesToShow: 1,
									slidesToScroll: 1,
									rtl:isRTL,
									arrows: true,
									prevArrow: '<span class="slick-prev"><i class="fa fa-chevron-left"></i></span>',
									nextArrow: '<span class="slick-next"><i class="fa fa-chevron-right"></i></span>',
									dots: false,
									infinite: false,
									speed: 400,
									adaptiveHeight: true
								});
							},500);
						});



				    },
				    error: function (html) {
					    is_click_quick_view = false;
				    }
			    });

		    });
	    },
	    sale_countdown: function(){
			$('.sale-countdown').each(function(){
				var elm = $(this);
				var $time = $(elm).attr('data-time');
				$(elm).countdown($time,function(event){
					setTimeout(function(){
						$(elm).css('opacity','1');
					},500);

				});
				$(elm).countdown($time).on('update.countdown', function(event) {
					var second = parseInt(event.strftime('%S'));
					var minutes = parseInt(event.strftime('%M'));
					var hours = parseInt(event.strftime('%H'));
					var days = parseInt(event.strftime('%D'));
					if(second<10)
						second = '0' + second;
					if(minutes<10)
						minutes = '0' + minutes;
					if(hours<10)
						hours = '0' + hours;
					if(days<10)
						days = '0' + days;

					$('#second',elm).html(second);
					$('#minutes',elm).html(minutes);
					$('#hours',elm).html(hours);
					$('#days',elm).html(days);

				}).on('finish.countdown', function(event){
					var post_id = $(elm).attr('data-post-id');
					if(typeof  post_id !='undefined'){
						$('.onsale','.post-' + post_id).css('display','none');
						$('del','.post-' + post_id).addClass('active');
						$('ins','.post-' + post_id).addClass('deactive');
						$(elm).hide();
					}
				});
			})

	    },
	    categoryName : function(){
		    $('.product-listing.woocommerce .product-category h3').each(function(){
			    $(this).css('margin-bottom' , '-' + Math.floor($(this).outerHeight() / 2) + 'px');
		    })
		},
		shoppingCart: function(){
			var $cartContent = $('.shopping-cart-list .cart_list');
			$cartContent.perfectScrollbar({
				wheelSpeed: 0.5,
				suppressScrollX: true
			});
		}
    };

	G5Plus.search = {

	};

    G5Plus.header = {
        timeOutSearch: null,
	    xhrSearchAjax: null,
        init: function () {
	        this.anchoPreventDefault();
			this.topDrawerToggle();
			this.switchMenu();
	        this.sticky();
	        this.menuCategories();
	        this.searchProduct();
	        this.searchButton();
	        this.closeButton();
	        this.searchAjaxButtonClick();
	        this.closestElement();
	        this.menuMobileToggle();
			this.menuDropdownHeight();
	        $('[data-search="ajax"]').each(function() {
		        G5Plus.header.searchAjax($(this));
	        });

	        this.escKeyPress();
	        this.mobileNavOverlay();
        },
        windowsScroll: function() {
	        this.sticky();
	        this.menuDropFlyPosition();
        },
        windowResized : function(){
	        this.sticky();
	        this.menuDropFlyPosition();
        },
	    windowLoad: function() {
	    },
	    topDrawerToggle: function () {
			$('.top-drawer-toggle').on('click', function () {
				$('.top-drawer-inner').slideToggle();
				$('.top-drawer-wrapper').toggleClass('in');
			});
	    },
	    switchMenu: function() {
			$('header .menu-switch').on('click', function() {
				$('.header-nav-inner').toggleClass('in');
			});
	    },
	    menuCategories: function() {
		    $('.menu-categories-select > i').on('click', function() {
			    $('.menu-categories').toggleClass('in');
		    });
	    },
	    sticky: function() {
		    $('.sticky-wrapper').each(function() {
			    var $this = $(this);
			    var stickyHeight = 60;
			    if (G5Plus.common.isDesktop()) {
				    stickyHeight = 55;
			    }
			    if ($(document).outerHeight() - $this.outerHeight() - $this.offset().top  <= $window.outerHeight() - stickyHeight) {
				    $this.removeClass('is-sticky');
				    $('.sticky-region', $this).css('top','');
					return;
			    }
			    var adminBarHeight = 0;
			    if ($('#wpadminbar').length && ($('#wpadminbar').css('position') == 'fixed')) {
				    adminBarHeight = $('#wpadminbar').outerHeight();
			    }
			    if ($(window).scrollTop() > $this.offset().top - adminBarHeight) {
					$this.addClass('is-sticky');
				    $('.sticky-region', $this).css('top',adminBarHeight + 'px');
			    }
			    else {
				    $this.removeClass('is-sticky');
				    $('.sticky-region', $this).css('top','');
			    }
		    });
	    },

	    searchProduct: function() {
		    $('.search-product-wrapper .categories').each(function() {
				var $this = $(this);
			    $('> span', $this).on('click', function () {
					$('.search-product-wrapper .search-category-dropdown').slideToggle();
				    $(this).toggleClass('in');
				    $('.search-product-wrapper .search-ajax-result').html('');
				    $('.search-product-wrapper input[type="text"]').val('');
			    });
			    $('.search-category-dropdown span', $this).on('click', function () {
				    $('> span', $this).html($(this).html());
				    $('> span', $this).attr('data-id', $(this).attr('data-id'));
				    $('.search-product-wrapper .search-category-dropdown').slideToggle();
				    $('> span', $this).toggleClass('in');
			    });
		    });
	    },

	    searchButton: function () {
		    var $itemSearch = $('.header-customize-item.item-search > a, .mobile-search-button > a');
		    if (!$itemSearch.length) {
			    return;
		    }
		    var $searchPopup = $('#search_popup_wrapper');
		    if (!$searchPopup.length) {
			    return;
		    }
		    if ($itemSearch.hasClass('search-ajax')) {
			    $itemSearch.on('click', function() {
				    $window.scrollTop(0);
				    $searchPopup.addClass('in');
				    $('body').addClass('overflow-hidden');
				    var $input = $('input[type="text"]', $searchPopup);
				    $input.focus();
				    $input.val('');

				    var $result = $('.search-ajax-result', $searchPopup);
				    $result.html('');
			    });
		    }
		    else {
			    var dlgSearch = new DialogFx( $searchPopup[0] );
			    $itemSearch.on('click', dlgSearch.toggle.bind(dlgSearch));
			    $itemSearch.on('click', function() {
				    var $input = $('input[type="text"]', $searchPopup);

				    $input.focus();
				    $input.val('');
			    });
		    }
	    },
	    searchAjax: function ($wrapper) {
			$('input[type="text"]', $wrapper).on('keyup', function (event) {
				if (event.altKey || event.ctrlKey || event.shiftKey || event.metaKey) {
					return;
				}
				var keys = ["Control", "Alt", "Shift"];
				if (keys.indexOf(event.key) != -1) return;
				switch (event.which) {
					case 27:	// ESC
						$('.search-ajax-result', $wrapper).html('');
						$(this).val('');
						break;
					case 38:	// UP
						G5Plus.header.searchAjaxKeyUp($wrapper);
						event.preventDefault();
						break;
					case 40:	// DOWN
						G5Plus.header.searchAjaxKeyDown($wrapper);
						event.preventDefault();
						break;
					case 13:
						G5Plus.header.searchAjaxKeyEnter($wrapper);
						break;
					default:
						clearTimeout(G5Plus.header.timeOutSearch);
						G5Plus.header.timeOutSearch = setTimeout(G5Plus.header.searchAjaxSearchProcess, 500, $wrapper, false);
						break;
				}
			});
	    },
	    searchAjaxKeyUp: function($wrapper) {
		    var $item = $('.search-ajax-result li.selected', $wrapper);
		    if ($('.search-ajax-result li', $wrapper).length < 2) return;
		    var $prev = $item.prev();
		    $item.removeClass('selected');
		    if ($prev.length) {
			    $prev.addClass('selected');
		    }
		    else {
			    $('.search-ajax-result li:last', $wrapper).addClass('selected');
			    $prev = $('.search-ajax-result li:last', $wrapper);
		    }
		    if ($prev.position().top < $('.ajax-search-result', $wrapper).scrollTop()) {
			    $('.ajax-search-result', $wrapper).scrollTop($prev.position().top);
		    }
		    else if ($prev.position().top + $prev.outerHeight() > $('.ajax-search-result', $wrapper).scrollTop() + $('.ajax-search-result', $wrapper).height()) {
			    $('.ajax-search-result', $wrapper).scrollTop($prev.position().top - $('.ajax-search-result', $wrapper).height() + $prev.outerHeight());
		    }
	    },
	    searchAjaxKeyDown: function($wrapper) {
		    var $item = $('.search-ajax-result li.selected', $wrapper);
		    if ($('.search-ajax-result li', $wrapper).length < 2) return;
		    var $next = $item.next();
		    $item.removeClass('selected');
		    if ($next.length) {
			    $next.addClass('selected');
		    }
		    else {
			    $('.search-ajax-result li:first', $wrapper).addClass('selected');
			    $next = $('.search-ajax-result li:first', $wrapper);
		    }
		    if ($next.position().top < $('.search-ajax-result', $wrapper).scrollTop()) {
			    $('.search-ajax-result', $wrapper).scrollTop($next.position().top);
		    }
		    else if ($next.position().top + $next.outerHeight() > $('.search-ajax-result', $wrapper).scrollTop() + $('.search-ajax-result', $wrapper).height()) {
			    $('.search-ajax-result', $wrapper).scrollTop($next.position().top - $('.search-ajax-result', $wrapper).height() + $next.outerHeight());
		    }
	    },
	    searchAjaxKeyEnter: function($wrapper) {
		    var $item = $('.search-ajax-result li.selected a', $wrapper);
		    if ($item.length > 0) {
			    window.location = $item.attr('href');
		    }
	    },
	    searchAjaxSearchProcess: function($wrapper, isButtonClick) {
		    var keyword = $('input[type="text"]', $wrapper).val();
		    if (!isButtonClick && keyword.length < 3) {
			    $('.search-ajax-result', $wrapper).html('');
			    return;
		    }
		    $('.search-button i', $wrapper).addClass('fa-spinner fa-spin');
		    $('.search-button i', $wrapper).removeClass('fa-search');
		    if (G5Plus.header.xhrSearchAjax) {
			    G5Plus.header.xhrSearchAjax.abort();
		    }
		    var action = $wrapper.attr('data-ajax-action');
		    var data = 'action=' + action + '&keyword=' + keyword;
		    if ($('.categories > span[data-id]', $wrapper)) {
			    data += '&cate_id=' + $('.categories > span[data-id]', $wrapper).attr('data-id');
		    }

		    G5Plus.header.xhrSearchAjax = $.ajax({
			    type   : 'POST',
			    data   : data,
			    url    : g5plus_app_variable.ajax_url,
			    success: function (data) {
				    $('.search-button i', $wrapper).removeClass('fa-spinner fa-spin');
				    $('.search-button i', $wrapper).addClass('fa-search');
				    $('.search-ajax-result', $wrapper).html(data);
			    },
			    error : function(data) {
				    if (data && (data.statusText == 'abort')) {
					    return;
				    }
				    $('.search-button i', $wrapper).removeClass('fa-spinner fa-spin');
				    $('.search-button i', $wrapper).addClass('fa-search');
			    }
		    });
	    },
	    searchAjaxButtonClick: function () {
		    $('.search-button').on('click', function() {
			    var $wrapper = $($(this).attr('data-search-wrapper'));
			    G5Plus.header.searchAjaxSearchProcess($wrapper, true);
		    });
	    },
		menuMobileToggle: function() {
			$('.toggle-icon-wrapper > .toggle-icon').on('click', function() {
				var $this = $(this);
				var $parent = $this.parent();
				var dropType = $parent.attr('data-drop-type');
				$parent.toggleClass('in');
				if (dropType == 'menu-drop-fly') {
					$('body').toggleClass('mobile-nav-in');
				}
				else {
					$('.nav-menu-mobile').slideToggle();
				}
			});
		},
		menuDropdownHeight: function() {
			var adminBarHeight = 0;
			if ($('#wpadminbar').length && ($('#wpadminbar').css('position') == 'fixed')) {
				adminBarHeight = $('#wpadminbar').outerHeight();
			}
			$('.menu-drop-dropdown > .nav-menu-mobile').css("height", screen.availHeight-adminBarHeight-90);
		},
		escKeyPress: function() {
			$(document).on('keyup', function(event) {
				if (event.altKey || event.ctrlKey || event.shiftKey || event.metaKey) {
					return;
				}
				var keys = ["Control", "Alt", "Shift"];
				if (keys.indexOf(event.key) != -1) return;
				if (event.which == 27) {
					if ($('#search_popup_wrapper').hasClass('in')) {
						$('#search_popup_wrapper').removeClass('in');
						setTimeout(function() {
							$('body').removeClass('overflow-hidden');
						}, 500);

					}

				}
			});
		},
	    anchoPreventDefault: function() {
		    $('.prevent-default').on('click', function(event) {
			    event.preventDefault();
		    });
	    },
	    closeButton: function() {
		    $('.close-button').on('click', function() {
			    var $closeButton = $(this);
			    var ref = $closeButton.attr('data-ref');
			    if ($('#search_popup_wrapper').hasClass('in')) {
				    setTimeout(function() {
					    $('body').removeClass('overflow-hidden');
				    }, 500);
			    }
			    $(ref).removeClass('in');
		    });

	    },
	    closestElement: function() {
		    $($window).on("click",function(event){
			    if ($(event.target).closest('.search-product-wrapper .categories').length == 0) {
				    $('.search-product-wrapper .search-category-dropdown').slideUp();
				    $('.search-product-wrapper .categories > span').removeClass('in');
			    }

		    });
	    },
	    mobileNavOverlay: function() {
			$('.mobile-nav-overlay').on('click', function() {
				$('body').removeClass('mobile-nav-in');
				$('.toggle-mobile-menu').removeClass('in');
			})
	    },
	    menuDropFlyPosition: function() {
		    var adminBarHeight = 0;
		    if ($('#wpadminbar').length && ($('#wpadminbar').css('position') == 'fixed')) {
			    adminBarHeight = $('#wpadminbar').outerHeight();
		    }
		    $('.header-mobile-nav.menu-drop-fly').css('top', adminBarHeight + 'px');
	    }
    };

    G5Plus.footer = {
        init: function () {

        }
    };

	G5Plus.widget = {
		init: function() {
			this.categoryCaret();

		},
		categoryCaret: function() {
			$('li', '.widget_categories, .widget_pages, .widget_nav_menu, .widget_product_categories, .product-categories').each(function() {
				if ($(' > ul', this).length > 0) {
					$(this).append('<span class="li-caret fa fa-plus"></span>');
				}
			});
			$('.li-caret').on('click', function(){
				$(this).toggleClass('in');
				$(' > ul', $(this).parent()).slideToggle();
			});
		}

	};

    G5Plus.onReady = {
        init: function () {
            G5Plus.common.init();
            G5Plus.header.init();
            G5Plus.page.init();
            G5Plus.blog.init();
            G5Plus.portfolio.init();
            G5Plus.woocommerce.init();
            G5Plus.footer.init();
	        G5Plus.widget.init();
        }
    };

    G5Plus.onLoad = {
        init: function () {
	        G5Plus.header.windowLoad();
	        G5Plus.page.windowLoad();
	        G5Plus.woocommerce.windowLoad();
        }
    };

    G5Plus.onResize = {
        init: function () {
			G5Plus.common.windowResized();
            G5Plus.page.windowResized();
            G5Plus.woocommerce.windowResized();
            G5Plus.header.windowResized();
            G5Plus.blog.windowResized();
			G5Plus.common.gridLayoutResize();
        }
    };

	G5Plus.onScroll = {
		init: function () {
			G5Plus.header.windowsScroll();
		}
	};

    $(window).resize(G5Plus.onResize.init);
	$(window).scroll(G5Plus.onScroll.init);
    $(document).ready(G5Plus.onReady.init);
    $(window).load(G5Plus.onLoad.init);
})(jQuery);

