<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 3/18/2016
 * Time: 11:36 AM
 */
//////////////////////////////////////////////////////////////////
// Get Page Layout
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_get_page_layout')) {
	function g5plus_get_page_layout($default = false) {
		$result = apply_filters('g5plus_page_layout',array(
			'full' => esc_html__('Full Width','pithree'),
			'container' => esc_html__('Container','pithree')
		));

		if($default) {
			$result = array(-1 => esc_html__('Default','pithree')) + $result;
		}
		return $result;
	}
}

//////////////////////////////////////////////////////////////////
// Get Sidebar Layout
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_get_sidebar_layout')) {
	function g5plus_get_sidebar_layout() {
		return apply_filters('g5plus_sidebar_layout',array(
			'none' => array('title' => '', 'img' => G5PLUS_THEME_URL.'assets/images/theme-options/sidebar-none.png'),
			'left' => array('title' => '', 'img' => G5PLUS_THEME_URL.'assets/images/theme-options/sidebar-left.png'),
			'right' => array('title' => '', 'img' => G5PLUS_THEME_URL.'assets/images/theme-options/sidebar-right.png'),
		));
	}
}

//////////////////////////////////////////////////////////////////
// Get Sidebar Width
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_get_sidebar_width')) {
	function g5plus_get_sidebar_width($default = false) {
		$result = apply_filters('g5plus_sidebar_width',array(
			'small' => esc_html__('Small (1/4)','pithree'),
			'large' => esc_html__('Large (1/3)','pithree')
		));

		if($default) {
			$result = array(-1 => esc_html__('Default','pithree')) + $result;
		}
		return $result;


	}
}

//////////////////////////////////////////////////////////////////
// Get Page Title Layout
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_get_page_title_layout')) {
	function g5plus_get_page_title_layout($default = false) {
		$result = apply_filters('g5plus_page_title_layout',array(
			'center' => esc_html__('Center','pithree'),
		));
		if ($default) {
			$result = array( -1 => esc_html__('Default','pithree')) + $result;
		}
		return $result;
	}
}

//////////////////////////////////////////////////////////////////
// Get Layout Styles
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_get_layout_style')) {
	function g5plus_get_layout_style() {
		return apply_filters('g5plus_layout_style',array(
			'boxed' => array('title' => 'Boxed', 'img' => G5PLUS_THEME_URL.'assets/images/theme-options/layout-boxed.png'),
			'wide' => array('title' => 'Wide', 'img' => G5PLUS_THEME_URL.'assets/images/theme-options/layout-wide.png'),
		));
	}
}

//////////////////////////////////////////////////////////////////
// Get Post Layout
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_get_post_layout')) {
	function g5plus_get_post_layout() {
		return apply_filters('g5plus_post_layout',array(
			'large-image' => esc_html__('Large Image','pithree'),
			'masonry' => esc_html__('Masonry','pithree'),
			/*'medium-image' => esc_html__('Medium Image','pithree'),
			'masonry' => esc_html__('Masonry','pithree'),*/
		));
	}
}

//////////////////////////////////////////////////////////////////
// Get Post Columns
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_get_post_columns')) {
	function g5plus_get_post_columns() {
		return apply_filters('g5plus_post_columns',array(
			2 => '2',
			3 => '3'
		));
	}
}

//////////////////////////////////////////////////////////////////
// Get Post Paging
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_get_paging_style')) {
	function g5plus_get_paging_style() {
		return apply_filters('g5plus_paging_style',array(
			'navigation' => esc_html__('Navigation','pithree'),
			'load-more' => esc_html__('Load More','pithree'),
			'infinite-scroll' => esc_html__('Infinite Scroll','pithree')
		));
	}
}

//////////////////////////////////////////////////////////////////
// Get Toggle
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_get_toggle')) {
	function g5plus_get_toggle($default = false) {
		$result = array(
			0 => esc_html__('Off','pithree'),
			1 => esc_html__('On','pithree')
		);
		if ($default) {
			$result = array(-1 => esc_html__('Default','pithree')) + $result;
		}
		return $result;
	}
}

//////////////////////////////////////////////////////////////////
// Get Product Image Hover Effect
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_get_product_image_hover_effect')) {
	function g5plus_get_product_image_hover_effect() {
		return apply_filters('g5plus_product_image_hover_effect',array(
			'none' => esc_html__('None','pithree'),
			'change-image' => esc_html__('Change Image','pithree'),
			'flip-back' => esc_html__('Flip Back','pithree')
		));
	}
}

//////////////////////////////////////////////////////////////////
// Get Product Catalog Style
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_get_product_catalog_style')) {
	function g5plus_get_product_catalog_style() {
		return apply_filters('g5plus_product_catalog_style',array(
			'left' => esc_html__('Left','pithree'),
			'center' => esc_html__('Center','pithree'),
		));
	}
}

//==============================================================================
//
//==============================================================================
if (!function_exists('g5plus_get_toggle_color')) {
	function g5plus_get_toggle_color($inherit = false) {
		$result = array(
			0 => esc_html__('Default','pithree'),
			1 => esc_html__('Customize','pithree')
		);
		if ($inherit) {
			$result = array(-1 => esc_html__('Inherit','pithree')) + $result;
		}
		return $result;
	}
}

//==============================================================================
// Get list social profiles
//==============================================================================
if (!function_exists('g5plus_get_social_profiles')) {
	function g5plus_get_social_profiles()
	{
		return apply_filters('g5plus_get_social_profiles', array(
			array(
				'id' => 'twitter_url',
				'type' => 'text',
				'title' => esc_html__('Twitter', 'pithree'),
				'subtitle' => esc_html__('Your Twitter', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-twitter',
			),
			array(
				'id' => 'facebook_url',
				'type' => 'text',
				'title' => esc_html__('Facebook', 'pithree'),
				'subtitle' => esc_html__('Your facebook page/profile url', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-facebook',
			),
			array(
				'id' => 'dribbble_url',
				'type' => 'text',
				'title' => esc_html__('Dribbble', 'pithree'),
				'subtitle' => esc_html__('Your Dribbble', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-dribbble',
			),
			array(
				'id' => 'vimeo_url',
				'type' => 'text',
				'title' => esc_html__('Vimeo', 'pithree'),
				'subtitle' => esc_html__('Your Vimeo', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-vimeo',
			),
			array(
				'id' => 'tumblr_url',
				'type' => 'text',
				'title' => esc_html__('Tumblr', 'pithree'),
				'subtitle' => esc_html__('Your Tumblr', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-tumblr',
			),
			array(
				'id' => 'skype_username',
				'type' => 'text',
				'title' => esc_html__('Skype', 'pithree'),
				'subtitle' => esc_html__('Your Skype username', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-skype',
			),
			array(
				'id' => 'linkedin_url',
				'type' => 'text',
				'title' => esc_html__('LinkedIn', 'pithree'),
				'subtitle' => esc_html__('Your LinkedIn page/profile url', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-linkedin',
			),
			array(
				'id' => 'googleplus_url',
				'type' => 'text',
				'title' => esc_html__('Google+', 'pithree'),
				'subtitle' => esc_html__('Your Google+ page/profile URL', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-google-plus',
			),
			array(
				'id' => 'flickr_url',
				'type' => 'text',
				'title' => esc_html__('Flickr', 'pithree'),
				'subtitle' => esc_html__('Your Flickr page url', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-flickr',
			),
			array(
				'id' => 'youtube_url',
				'type' => 'text',
				'title' => esc_html__('YouTube', 'pithree'),
				'subtitle' => esc_html__('Your YouTube URL', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-youtube',
			),
			array(
				'id' => 'pinterest_url',
				'type' => 'text',
				'title' => esc_html__('Pinterest', 'pithree'),
				'subtitle' => esc_html__('Your Pinterest', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-pinterest',
			),
			array(
				'id' => 'foursquare_url',
				'type' => 'text',
				'title' => esc_html__('Foursquare', 'pithree'),
				'subtitle' => esc_html__('Your Foursqaure URL', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-foursquare',
			),
			array(
				'id' => 'instagram_url',
				'type' => 'text',
				'title' => esc_html__('Instagram', 'pithree'),
				'subtitle' => esc_html__('Your Instagram', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-instagram',
			),
			array(
				'id' => 'github_url',
				'type' => 'text',
				'title' => esc_html__('GitHub', 'pithree'),
				'subtitle' => esc_html__('Your GitHub URL', 'pithree'),
				'desc' => '',
				'icon' => 'fa fa-github',
				'default' => ''
			),
			array(
				'id' => 'xing_url',
				'type' => 'text',
				'title' => esc_html__('Xing', 'pithree'),
				'subtitle' => esc_html__('Your Xing URL', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-xing',
			),
			array(
				'id' => 'behance_url',
				'type' => 'text',
				'title' => esc_html__('Behance', 'pithree'),
				'subtitle' => esc_html__('Your Behance URL', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-behance',
			),
			array(
				'id' => 'deviantart_url',
				'type' => 'text',
				'title' => esc_html__('Deviantart', 'pithree'),
				'subtitle' => esc_html__('Your Deviantart URL', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-deviantart',
			),
			array(
				'id' => 'soundcloud_url',
				'type' => 'text',
				'title' => esc_html__('SoundCloud', 'pithree'),
				'subtitle' => esc_html__('Your SoundCloud URL', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-soundcloud',
			),
			array(
				'id' => 'yelp_url',
				'type' => 'text',
				'title' => esc_html__('Yelp', 'pithree'),
				'subtitle' => esc_html__('Your Yelp URL', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-yelp',
			),
			array(
				'id' => 'rss_url',
				'type' => 'text',
				'title' => esc_html__('RSS Feed', 'pithree'),
				'subtitle' => esc_html__('Your RSS Feed URL', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-rss',
			),
			array(
				'id' => 'vk_url',
				'type' => 'text',
				'title' => esc_html__('VK', 'pithree'),
				'subtitle' => esc_html__('Your VK URL', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-vk',
			),
			array(
				'id' => 'email_address',
				'type' => 'text',
				'title' => esc_html__('Email address', 'pithree'),
				'subtitle' => esc_html__('Your email address', 'pithree'),
				'default' => '',
				'icon' => 'fa fa-envelope',
			),
		));
	}
}

//////////////////////////////////////////////////////////////////
// Get Widget Layout
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_get_widget_layout')) {
	function g5plus_get_widget_layout($default = false) {
		$result = apply_filters('g5plus_widget_layout',array(
			'widget-classic' => esc_html__('Classic','pithree'),
			'widget-border' => esc_html__('Border','pithree'),
		))  ;
		if ($default) {
			$result = array('' => esc_html__('Default','pithree')) + $result;
		}
		return $result;
	}
}