<?php
/*---------------------------------------------------
/* Mobile Nav Overlay
/*---------------------------------------------------*/
if (!function_exists('g5plus_add_mobile_nav_overlay')) {
	function g5plus_add_mobile_nav_overlay($params) {
		$header = &G5Plus_Global::get_header_var();
		if ($header['mobile_header_menu_drop'] === 'menu-drop-fly') {
			echo '<div class="mobile-nav-overlay"></div>';
		}
	}
	add_action('wp_footer','g5plus_add_mobile_nav_overlay');
}

/*---------------------------------------------------
/* CUSTOM HEADER CSS
/*---------------------------------------------------*/
if (!function_exists('g5plus_page_customize_css')) {
	function g5plus_page_customize_css() {
		if (!is_singular()) {
			return;
		}

		$page_setting_changed = &G5Plus_Global::get_page_changed_setting();
		if (!$page_setting_changed['page_setting']) {
			return;
		}

		$css_variable = g5plus_custom_css_variable();
		if (!class_exists('Less_Parser')) {
			require_once G5PLUS_THEME_DIR . 'g5plus-framework/less/Less.php';
		}
		$parser = new Less_Parser(array( 'compress'=>true ));
		$parser->parse($css_variable, G5PLUS_THEME_URL);
		$parser->parseFile( G5PLUS_THEME_DIR . 'assets/less/variable.less', G5PLUS_THEME_URL );
		if ($page_setting_changed['page_setting']) {
			$parser->parseFile( G5PLUS_THEME_DIR . 'assets/less/customize/spacing.less', G5PLUS_THEME_URL );
		}

		if ($page_setting_changed['top_drawer_color']) {
			$parser->parseFile( G5PLUS_THEME_DIR . 'assets/less/customize/top-drawer-color.less', G5PLUS_THEME_URL );
		}

		if ($page_setting_changed['top_bar_color']) {
			$parser->parseFile( G5PLUS_THEME_DIR . 'assets/less/customize/top-bar-color.less', G5PLUS_THEME_URL );
		}

		if ($page_setting_changed['header_color']) {
			$parser->parseFile( G5PLUS_THEME_DIR . 'assets/less/customize/header-color.less', G5PLUS_THEME_URL );
		}

		if ($page_setting_changed['navigation_color']) {
			$parser->parseFile( G5PLUS_THEME_DIR . 'assets/less/customize/navigation-color.less', G5PLUS_THEME_URL );
		}

		$enable_footer_color = g5plus_get_rwmb_meta('enable_footer_color');
		if ($enable_footer_color) {
			$parser->parseFile( G5PLUS_THEME_DIR . 'assets/less/customize/footer-color.less', G5PLUS_THEME_URL );
		}

		$enable_bottom_bar_color = g5plus_get_rwmb_meta('enable_bottom_bar_color');
		if ($enable_bottom_bar_color) {
			$parser->parseFile( G5PLUS_THEME_DIR . 'assets/less/customize/bottom-bar-color.less', G5PLUS_THEME_URL );
		}

		$css = $parser->getCss();

		echo "<style id='g5plus_page_custom_css' type='text/css'>$css</style>";

	}
	add_action('wp_head', 'g5plus_page_customize_css', 100);
}

/**
 * Set page setting
 */
if (!function_exists('g5plus_set_page_setting_action')) {
	function g5plus_set_page_setting_action(){
		global $post;
		$page_id  = isset($post) ? $post->ID : null;

		if(is_home()){
			$page_id = get_option( 'page_for_posts' );
		}else{
			if( function_exists('wc_get_page_id') && function_exists('is_shop') && is_shop()){
				$page_id =  wc_get_page_id('shop');
			}
		}
		g5plus_set_page_layout_setting($page_id);
		g5plus_set_page_setting();
	}
	add_action('g5plus_before_header','g5plus_set_page_setting_action');
}

/**
 * Remove revolution slider's meta box on page, post and custom post type
 */
if ( is_admin() ) {
	remove_action( 'add_meta_boxes', array('RevSliderBaseAdmin', 'onAddMetaboxes') );
}





