<?php
//////////////////////////////////////////////////////////////////
// Filter Comment Fields
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_comment_form_fields')) {
	function g5plus_comment_form_fields() {
		$req      = get_option( 'require_name_email' );
		$aria_req = ( $req ? " aria-required='true'" : '' );
		$html_req = ( $req ? " required='required'" : '' );
		$html5    = 'html5' === current_theme_supports( 'html5', 'comment-form' ) ? 'html5' : 'xhtml';

		return  array(
			'before' => '<div class="insert-comment-form">',
			'author' => '<p class="comment-form-field comment-form-author">'.
				'<input placeholder="'. sprintf(esc_attr__('Name %s','pithree'),$req ? '*' : '') .'" id="author" name="author" type="text" value="'  . '" size="30"' . $aria_req . $html_req . ' /></p>',
			'email'  => '<p class="comment-form-field comment-form-email">' .
				'<input placeholder="'. sprintf(esc_attr__('Email %s','pithree'),$req ? '*' : '') .'" id="email" name="email" ' . ( $html5 ? 'type="email"' : 'type="text"' ) . ' value="' . '" size="30"'. $aria_req . $html_req  . ' /></p>',
			'url'    => '<p class="comment-form-field comment-form-url">' .
				'<input placeholder="'. esc_attr__('Website','pithree') .'" id="url" name="url" ' . ( $html5 ? 'type="url"' : 'type="text"' ) . ' value="' . '" size="30" /></p>',
			'after' => '</div>',
		);
	}
	add_filter('g5plus_comment_fields','g5plus_comment_form_fields');
}

//////////////////////////////////////////////////////////////////
// Filter Comment Form Args Default
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_comment_form_defaults')) {
	function g5plus_comment_form_defaults($defaults) {
		$args = array(
			'comment_field'        => '<p class="comment-form-field comment-form-comment"><textarea placeholder="'. esc_attr__('Your Comment *','pithree') .'" id="comment" name="comment" cols="45" rows="8"  aria-required="true" required="required"></textarea></p>',
			'title_reply_before' => '<h4 id="reply-title" class="widget-title"><span>',
			'title_reply_after'  => '</span></h4>',
			'label_submit'         => esc_html__('Post Comment','pithree'),
			'class_submit' => 'btn btn-sm'
		);
		$defaults = array_merge( $defaults, $args );
		return $defaults;
	}
	add_filter('comment_form_defaults','g5plus_comment_form_defaults');
}


/*---------------------------------------------------
/* SET ONE PAGE MENU
/*---------------------------------------------------*/
if (!function_exists('g5plus_main_menu_one_page_filter')) {
	function g5plus_main_menu_one_page_filter($args) {
		if (isset($args['theme_location']) && ($args['theme_location'] != 'primary') && ($args['theme_location'] != 'mobile')) {
			return $args;
		}
		$is_one_page = g5plus_get_post_meta('is_one_page');
		if ($is_one_page == '1') {
			$args['menu_class'] .= ' menu-one-page';
		}
		return $args;
	}
	add_filter('wp_nav_menu_args','g5plus_main_menu_one_page_filter', 20);
}
//////////////////////////////////////////////////////////////////
// Filter Search
//////////////////////////////////////////////////////////////////
if (!function_exists('g5plus_search_filter')) {
	function g5plus_search_filter($query) {
		if ($query->is_search && !is_admin() && apply_filters('g5plus_search_filter',true) && (!isset($_GET['post_type']) || $_GET['post_type'] != 'product')) {
			$query->set('post_type', array('post','page','portfolio','services') );
		}
		return $query;
	}
	add_filter('pre_get_posts','g5plus_search_filter');
}