<?php
//==============================================================================
// Get Header spacing default
//==============================================================================
if (!function_exists('g5plus_get_header_spacing_default')) {
	function &g5plus_get_header_spacing_default()
	{
		$header_spacing = array(
			'default'  => array(
				'navigation_height'     => '70px',
				'header_padding_top'    => '30px',
				'header_padding_bottom' => '30px',
				'logo_max_height'       => '52px',
				'logo_padding_top'      => '0',
				'logo_padding_bottom'   => '0',
			),
			'header-1' => array(
				'navigation_height'     => '106px',
				'header_padding_top'    => '0',
				'header_padding_bottom' => '0',
				'logo_max_height'       => '106px',
				'logo_padding_top'      => '0',
				'logo_padding_bottom'   => '0',
			),
		);

		return $header_spacing;
	}
}

//==============================================================================
// PROCESS SPACING DEFAULT
//==============================================================================
if (!function_exists('g5plus_process_spacing_default')) {
	function g5plus_process_spacing_default()
	{
		$top_drawer = &G5Plus_Global::get_top_drawer_var();
		$top_bar = &G5Plus_Global::get_top_bar_var();
		$header = &G5Plus_Global::get_header_var();
		$logo = &G5Plus_Global::get_logo_var();
		$footer = &G5Plus_Global::get_footer_var();
		$header_layout = $header['header_layout'];
		$header_spacing = g5plus_get_header_spacing_default();
		$header_spacing_default = isset($header_spacing[$header_layout]) ? $header_spacing[$header_layout] : $header_spacing['default'];
		// SET DEFAULT LOGO SPACING
		///////////////////////////////////////////////////////////////////////////////
		if ($logo['logo_max_height'] === '') {
			$logo['logo_max_height'] = $header_spacing_default['logo_max_height'];
		}
		if ($logo['logo_padding']['padding-top'] === '') {
			$logo['logo_padding']['padding-top'] = $header_spacing_default['logo_padding_top'];
		}
		if ($logo['logo_padding']['padding-bottom'] === '') {
			$logo['logo_padding']['padding-bottom'] = $header_spacing_default['logo_padding_bottom'];
		}

		// SET DEFAULT TOP DRAWER SPACING
		///////////////////////////////////////////////////////////////////////////////
		if ($top_drawer['top_drawer_padding']['padding-top'] === '') {
			$top_drawer['top_drawer_padding']['padding-top'] = '0';
		}
		if ($top_drawer['top_drawer_padding']['padding-bottom'] === '') {
			$top_drawer['top_drawer_padding']['padding-bottom'] = '0';
		}

		// SET DEFAULT TOP BAR SPACING
		///////////////////////////////////////////////////////////////////////////////
		if ($top_bar['top_bar_padding']['padding-top'] === '') {
			$top_bar['top_bar_padding']['padding-top'] = '0';
		}
		if ($top_bar['top_bar_padding']['padding-bottom'] === '') {
			$top_bar['top_bar_padding']['padding-bottom'] = '0';
		}

		if ($top_bar['top_bar_mobile_padding']['padding-top'] === '') {
			$top_bar['top_bar_mobile_padding']['padding-top'] = '5px';
		}
		if ($top_bar['top_bar_mobile_padding']['padding-bottom'] === '') {
			$top_bar['top_bar_mobile_padding']['padding-bottom'] = '5px';
		}


		// SET DEFAULT HEADER SPACING
		///////////////////////////////////////////////////////////////////////////////
		if ($header['header_padding']['padding-top'] === '') {
			$header['header_padding']['padding-top'] = $header_spacing_default['header_padding_top'];
		}
		if ($header['header_padding']['padding-bottom'] === '') {
			$header['header_padding']['padding-bottom'] = $header_spacing_default['header_padding_bottom'];
		}

		if ($header['navigation_height'] === '') {
			$header['navigation_height'] = $header_spacing_default['navigation_height'];
		}

		// Fix Header Navigation height
		///////////////////////////////////////////////////////////////////////////////
		if ($header_layout == 'header-1') {
			$header['navigation_height'] = $logo['logo_max_height'];
		}



		// SET DEFAULT FOOTER SPACING
		///////////////////////////////////////////////////////////////////////////////
		if ($footer['footer_padding']['padding-top'] === '') {
			$footer['footer_padding']['padding-top'] = '50px';
		}
		if ($footer['footer_padding']['padding-bottom'] === '') {
			$footer['footer_padding']['padding-bottom'] = '50px';
		}

		// SET DEFAULT BOTOTOM BAR SPACING
		///////////////////////////////////////////////////////////////////////////////
		if ($footer['bottom_bar_padding']['padding-top'] === '') {
			$footer['bottom_bar_padding']['padding-top'] = '25px';
		}
		if ($footer['bottom_bar_padding']['padding-bottom'] === '') {
			$footer['bottom_bar_padding']['padding-bottom'] = '25px';
		}
	}
}

//==============================================================================
// GET CUSTOM CSS VARIABLE
//==============================================================================
if (!function_exists('g5plus_custom_css_variable')) {
	function g5plus_custom_css_variable()
	{
		$header_responsive_breakpoint = G5Plus_Global::get_option('header_responsive_breakpoint');
		$body_font = G5Plus_Global::get_option('body_font', array('font-family' => 'Lato'));
		$secondary_font = G5Plus_Global::get_option('secondary_font', array('font-family' => 'Lato'));
		$logo = &G5Plus_Global::get_logo_var();
		$top_drawer = &G5Plus_Global::get_top_drawer_var();
		$top_bar = &G5Plus_Global::get_top_bar_var();
		$header = &G5Plus_Global::get_header_var();
		$header_customize = &G5Plus_Global::get_header_customize_var();
		$footer = &G5Plus_Global::get_footer_var();
		$theme_color = &G5Plus_Global::get_theme_color_var();
		g5plus_process_spacing_default();

		return <<<LESS_VARIABLE
			@responsive_breakpoint: {$header_responsive_breakpoint}px;
			@body_font: '{$body_font["font-family"]}';
			@secondary_font: '{$secondary_font["font-family"]}';

			@primary_color: {$theme_color['primary_color']};
			@secondary_color: {$theme_color['secondary_color']};
			@text_color: {$theme_color['text_color']};
			@border_color: {$theme_color['border_color']};
			@top_drawer_bg_color: {$theme_color['top_drawer_bg_color']};
			@top_drawer_text_color: {$theme_color['top_drawer_text_color']};
			@header_bg_color: {$theme_color['header_bg_color']};
			@header_text_color: {$theme_color['header_text_color']};
			@header_border_color: {$theme_color['header_border_color']};
			@header_above_border_color: {$theme_color['header_above_border_color']};
			@top_bar_bg_color: {$theme_color['top_bar_bg_color']};
			@top_bar_text_color: {$theme_color['top_bar_text_color']};
			@top_bar_border_color: {$theme_color['top_bar_border_color']};
			@navigation_bg_color: {$theme_color['navigation_bg_color']};
			@navigation_text_color: {$theme_color['navigation_text_color']};
			@navigation_text_color_hover: {$theme_color['navigation_text_color_hover']};

			@top_bar_mobile_bg_color: {$theme_color['top_bar_mobile_bg_color']};
			@top_bar_mobile_text_color: {$theme_color['top_bar_mobile_text_color']};
			@top_bar_mobile_border_color: {$theme_color['top_bar_mobile_border_color']};
			@header_mobile_bg_color: {$theme_color['header_mobile_bg_color']};
			@header_mobile_text_color: {$theme_color['header_mobile_text_color']};
			@header_mobile_border_color: {$theme_color['header_mobile_border_color']};

			@footer_bg_color: {$theme_color['footer_bg_color']};
			@footer_text_color: {$theme_color['footer_text_color']};
			@footer_widget_title_color: {$theme_color['footer_widget_title_color']};
			@footer_border_color: {$theme_color['footer_border_color']};
			@bottom_bar_bg_color: {$theme_color['bottom_bar_bg_color']};
			@bottom_bar_text_color: {$theme_color['bottom_bar_text_color']};
			@bottom_bar_border_color: {$theme_color['bottom_bar_border_color']};

			@top_drawer_padding_top: {$top_drawer['top_drawer_padding']['padding-top']};
			@top_drawer_padding_bottom: {$top_drawer['top_drawer_padding']['padding-bottom']};
			@top_bar_padding_top: {$top_bar['top_bar_padding']['padding-top']};
			@top_bar_padding_bottom: {$top_bar['top_bar_padding']['padding-bottom']};
			@top_bar_mobile_padding_top: {$top_bar['top_bar_mobile_padding']['padding-top']};
			@top_bar_mobile_padding_bottom: {$top_bar['top_bar_mobile_padding']['padding-bottom']};
			@header_padding_top: {$header['header_padding']['padding-top']};
			@header_padding_bottom: {$header['header_padding']['padding-bottom']};
			@navigation_height: {$header['navigation_height']};
			@navigation_spacing: {$header['navigation_spacing']};
			@header_customize_nav_spacing: {$header_customize['header_customize_nav_spacing']};
			@header_customize_left_spacing: {$header_customize['header_customize_left_spacing']};
			@header_customize_right_spacing: {$header_customize['header_customize_right_spacing']};

			@footer_padding_top: {$footer['footer_padding']['padding-top']};
			@footer_padding_bottom: {$footer['footer_padding']['padding-bottom']};
			@bottom_bar_padding_top: {$footer['bottom_bar_padding']['padding-top']};
			@bottom_bar_padding_bottom: {$footer['bottom_bar_padding']['padding-bottom']};

			@logo_max_height: {$logo['logo_max_height']};
			@mobile_logo_max_height: {$logo['mobile_logo_max_height']};
			@logo_padding_top: {$logo['logo_padding']['padding-top']};
			@logo_padding_bottom: {$logo['logo_padding']['padding-bottom']};
			@mobile_logo_padding_top: {$logo['mobile_logo_padding']['padding-top']};
			@mobile_logo_padding_bottom: {$logo['mobile_logo_padding']['padding-bottom']};

LESS_VARIABLE;
	}
}

// GET CUSTOM CSS
//--------------------------------------------------
if (!function_exists('g5plus_custom_css')) {
	function g5plus_custom_css()
	{
		$g5plus_options = &G5Plus_Global::get_options();
		$custom_css = '';
		$background_image_css = '';

		$body_background_mode = G5Plus_Global::get_option('body_background_mode', 'background');
		if ($body_background_mode == 'background') {

			$background_image_url = isset($g5plus_options['body_background']['background-image']) ? $g5plus_options['body_background']['background-image'] : '';
			$background_color = isset($g5plus_options['body_background']['background-color']) ? $g5plus_options['body_background']['background-color'] : '';

			if (!empty($background_color)) {
				$background_image_css .= 'background-color:' . $background_color . ';';
			}

			if (!empty($background_image_url)) {
				$background_repeat = isset($g5plus_options['body_background']['background-repeat']) ? $g5plus_options['body_background']['background-repeat'] : '';
				$background_position = isset($g5plus_options['body_background']['background-position']) ? $g5plus_options['body_background']['background-position'] : '';
				$background_size = isset($g5plus_options['body_background']['background-size']) ? $g5plus_options['body_background']['background-size'] : '';
				$background_attachment = isset($g5plus_options['body_background']['background-attachment']) ? $g5plus_options['body_background']['background-attachment'] : '';

				$background_image_css .= 'background-image: url("' . $background_image_url . '");';


				if (!empty($background_repeat)) {
					$background_image_css .= 'background-repeat: ' . $background_repeat . ';';
				}

				if (!empty($background_position)) {
					$background_image_css .= 'background-position: ' . $background_position . ';';
				}

				if (!empty($background_size)) {
					$background_image_css .= 'background-size: ' . $background_size . ';';
				}

				if (!empty($background_attachment)) {
					$background_image_css .= 'background-attachment: ' . $background_attachment . ';';
				}
			}

		}

		if ($body_background_mode == 'pattern') {
			$background_image_url = G5PLUS_THEME_URL . 'assets/images/theme-options/' . $g5plus_options['body_background_pattern'];
			$background_image_css .= 'background-image: url("' . $background_image_url . '");';
			$background_image_css .= 'background-repeat: repeat;';
			$background_image_css .= 'background-position: center center;';
			$background_image_css .= 'background-size: auto;';
			$background_image_css .= 'background-attachment: scroll;';
		}

		if (!empty($background_image_css)) {
			$custom_css .= 'body{' . $background_image_css . '}';
		}


		if (isset($g5plus_options['custom_css'])) {
			$custom_css .= $g5plus_options['custom_css'];
		}

		$custom_scroll = isset($g5plus_options['custom_scroll']) ? $g5plus_options['custom_scroll'] : 0;
		if ($custom_scroll == 1) {
			$custom_scroll_width = isset($g5plus_options['custom_scroll_width']) ? $g5plus_options['custom_scroll_width'] : '10';
			$custom_scroll_color = isset($g5plus_options['custom_scroll_color']) ? $g5plus_options['custom_scroll_color'] : '#333333';
			$custom_scroll_thumb_color = isset($g5plus_options['custom_scroll_thumb_color']) ? $g5plus_options['custom_scroll_thumb_color'] : '#e8aa00';

			$custom_css .= 'body::-webkit-scrollbar {width: ' . $custom_scroll_width . 'px;background-color: ' . $custom_scroll_color . ';}';
			$custom_css .= 'body::-webkit-scrollbar-thumb{background-color: ' . $custom_scroll_thumb_color . ';}';
		}

		$footer_bg_image = isset($g5plus_options['footer_bg_image']) && isset($g5plus_options['footer_bg_image']['url']) ?
			$g5plus_options['footer_bg_image']['url'] : '';

		if (!empty($footer_bg_image)) {
			$footer_bg_css = 'background-image:url(' . $footer_bg_image . ');';
			$footer_bg_css .= 'background-size: cover;';
			$footer_bg_css .= 'background-attachment: fixed;';
			$custom_css .= 'footer.main-footer-wrapper {' . $footer_bg_css . '}';
		}


		$custom_css = str_replace("\r\n", '', $custom_css);
		$custom_css = str_replace("\n", '', $custom_css);
		$custom_css = str_replace("\t", '', $custom_css);

		return $custom_css;
	}
}

// UNREGISTER CUSTOM POST TYPES
//--------------------------------------------------
if (!function_exists('g5plus_unregister_post_type')) {
	function g5plus_unregister_post_type($post_type, $slug = '')
	{
		$wp_post_types = &G5Plus_Global::wp_post_types();
		$g5plus_options = &G5Plus_Global::get_options();
		if (isset($g5plus_options['cpt-disable'])) {
			$cpt_disable = $g5plus_options['cpt-disable'];
			if (!empty($cpt_disable)) {
				foreach ($cpt_disable as $post_type => $cpt) {
					if ($cpt == 1 && isset($wp_post_types[$post_type])) {
						unset($wp_post_types[$post_type]);
					}
				}
			}
		}
	}

	add_action('init', 'g5plus_unregister_post_type', 20);
}

// GET LOGO URL
if (!function_exists('g5plus_get_meta_box_image')) {
	function g5plus_get_meta_box_image($key, $post_id = null)
	{
		$logo_meta_id = g5plus_get_rwmb_meta($key, array(),$post_id);
		$logo_meta = g5plus_get_rwmb_meta($key, 'type=image_advanced', $post_id);
		if (($logo_meta_id === false) || ($logo_meta_id === '') || ($logo_meta === '') || ($logo_meta === false)) {
			return false;
		}
		$logo_url = '';
		if ($logo_meta !== array() && isset($logo_meta[$logo_meta_id]) && isset($logo_meta[$logo_meta_id]['full_url'])) {
			$logo_url = $logo_meta[$logo_meta_id]['full_url'];
		}
		return $logo_url;
	}
}

//==============================================================================
// SET PAGE SETTING
//==============================================================================
if (!function_exists('g5plus_set_page_setting')) {
	function g5plus_set_page_setting()
	{
		global $post;
		$page_id  = isset($post) ? $post->ID : null;
		if( function_exists('wc_get_page_id') && function_exists('is_shop') && is_shop()){
			$page_id =  wc_get_page_id('shop');
		}
		if(is_home()){
			$page_id = get_option( 'page_for_posts' );
		}
		g5plus_set_page_changed_setting($page_id);
		g5plus_set_page_header_setting($page_id);
		g5plus_set_page_top_drawer_setting($page_id);
		g5plus_set_page_top_bar_setting($page_id);
		g5plus_set_page_logo_setting($page_id);
		g5plus_set_page_header_customize_setting($page_id);
		g5plus_set_page_footer_setting($page_id);
		g5plus_set_page_color_setting($page_id);
	}
}
//==============================================================================
// SET PAGE LOGO SETTING
//==============================================================================
if (!function_exists('g5plus_set_page_logo_setting')) {
	function g5plus_set_page_logo_setting($post_id = null)
	{
		$logo = &G5Plus_Global::get_logo_var();
		if(is_404() || is_search()){
			return;
		}

		$logo_url= g5plus_get_meta_box_image('logo', $post_id);
		if ($logo_url) {
			$logo['logo'] = $logo_url;
		}

		$logo_retina= g5plus_get_meta_box_image('logo_retina', $post_id);
		if ($logo_retina) {
			$logo['logo_retina'] = $logo_retina;
		}

		$sticky_logo= g5plus_get_meta_box_image('sticky_logo', $post_id);
		if ($sticky_logo) {
			$logo['sticky_logo'] = $sticky_logo;
		}

		$sticky_logo_retina= g5plus_get_meta_box_image('sticky_logo_retina', $post_id);
		if ($sticky_logo_retina) {
			$logo['sticky_logo_retina'] = $sticky_logo_retina;
		}

		$logo_max_height = g5plus_get_rwmb_meta('logo_max_height', $post_id);
		if (($logo_max_height !== false) && ($logo_max_height !== '')) {
			$logo['logo_max_height'] .= 'px';
		}

		$logo_padding = g5plus_get_rwmb_meta('logo_padding', $post_id);
		if (($logo_padding !== false) && ($logo_padding !== '') && isset($logo_padding['top']) && isset($logo_padding['bottom'])) {
			if ($logo_padding['top']) {
				$logo_padding['top'] .= 'px';
				$logo['logo_padding']['padding-top'] = $logo_padding['top'];
			}
			if ($logo_padding['bottom']) {
				$logo_padding['bottom'] .= 'px';
				$logo['logo_padding']['padding-bottom'] = $logo_padding['bottom'];
			}
		}

		$mobile_logo = g5plus_get_meta_box_image('mobile_logo', $post_id);
		if ($mobile_logo) {
			$logo['mobile_logo'] = $mobile_logo;
		}

		$mobile_logo_retina = g5plus_get_meta_box_image('mobile_logo_retina', $post_id);
		if ($mobile_logo_retina) {
			$logo['mobile_logo_retina'] = $mobile_logo_retina;
		}

		$mobile_logo_max_height = g5plus_get_rwmb_meta('mobile_logo_max_height', $post_id);
		if (($mobile_logo_max_height !== false) && ($mobile_logo_max_height !== '')) {
			$logo['mobile_logo_max_height'] .= 'px';
		}

		$mobile_logo_padding = g5plus_get_rwmb_meta('mobile_logo_padding', $post_id);
		if (($mobile_logo_padding !== false) && ($mobile_logo_padding !== '') && isset($mobile_logo_padding['top']) && isset($mobile_logo_padding['bottom'])) {
			if ($mobile_logo_padding['top']) {
				$mobile_logo_padding['top'] .= 'px';
				$logo['mobile_logo_padding']['padding-top'] = $mobile_logo_padding['top'];
			}
			if ($mobile_logo_padding['bottom']) {
				$mobile_logo_padding['bottom'] .= 'px';
				$logo['mobile_logo_padding']['padding-bottom'] = $mobile_logo_padding['bottom'];
			}


		}
	}
}

//==============================================================================
// SET PAGE LAYOUT SETTING
//==============================================================================
if (!function_exists('g5plus_set_page_layout_setting')) {
	function g5plus_set_page_layout_setting($post_id = null)
	{
		$option_prefix = '';
		if( (function_exists('is_shop') && is_shop()) ||
			(function_exists('is_product_category') && is_product_category()) ||
			(function_exists('is_product_tag') && is_product_tag())
		){
			$option_prefix = 'archive_product_';
		}elseif(function_exists('is_product') && is_product()){
			$option_prefix = 'single_product_';
		}elseif(is_home() || is_search()){
			$option_prefix = 'blog_';
		}elseif(is_singular( 'post' )){
			$option_prefix = 'single_blog_';
		}elseif (defined('G5PLUS_SERVICES_POST_TYPE') && ( is_post_type_archive(G5PLUS_SERVICES_POST_TYPE) || is_tax(G5PLUS_SERVICES_CATEGORY_TAXONOMY) )){
			$option_prefix = 'archive_services_';
		}elseif(defined('G5PLUS_SERVICES_POST_TYPE') && is_singular(G5PLUS_SERVICES_POST_TYPE)){
			$option_prefix = 'single_services_';
		}else{
			$option_prefix = 'page_';
		}
		$page_layout_args = array(
			'layout' => G5Plus_Global::get_option($option_prefix.'layout'),
			'sidebar_layout' => G5Plus_Global::get_option($option_prefix.'sidebar_layout'),
			'sidebar' => G5Plus_Global::get_option($option_prefix.'sidebar'),
			'sidebar_width' => G5Plus_Global::get_option($option_prefix.'sidebar_width'),
			'sidebar_mobile_enable' => G5Plus_Global::get_option($option_prefix.'sidebar_mobile_enable'),
			'padding' => G5Plus_Global::get_option($option_prefix.'content_padding')
		);
		$page_layout_args_custom = array(
			'layout' => g5plus_get_rwmb_meta('layout', array(), $post_id),
			'sidebar_layout' => g5plus_get_rwmb_meta('sidebar_layout', array(), $post_id),
			'sidebar' => g5plus_get_rwmb_meta('sidebar', array(), $post_id),
			'sidebar_width' => g5plus_get_rwmb_meta('sidebar_width', array(), $post_id),
			'sidebar_mobile_enable' => g5plus_get_rwmb_meta('sidebar_mobile_enable', array(), $post_id),
			'padding' => g5plus_get_rwmb_meta('content_padding', array(), $post_id)
		);

		if( $page_layout_args_custom['layout']!='-1' && $page_layout_args_custom['layout']!='' ){
			$page_layout_args['layout'] = $page_layout_args_custom['layout'];
		}
		if( $page_layout_args_custom['sidebar_layout']!='-1' && $page_layout_args_custom['sidebar_layout']!='' ){
			$page_layout_args['sidebar_layout'] = $page_layout_args_custom['sidebar_layout'];
		}
		if( $page_layout_args_custom['sidebar']!='-1' &&  $page_layout_args_custom['sidebar']!='' ){
			$page_layout_args['sidebar'] = $page_layout_args_custom['sidebar'];
		}
		if( $page_layout_args_custom['sidebar_width']!='-1' && $page_layout_args_custom['sidebar_width']!='' ){
			$page_layout_args['sidebar_width'] = $page_layout_args_custom['sidebar_width'];
		}
		if( $page_layout_args_custom['sidebar_mobile_enable']!='-1' && $page_layout_args_custom['sidebar_mobile_enable']!='' ){
			$page_layout_args['sidebar_mobile_enable'] = $page_layout_args_custom['sidebar_mobile_enable'];
		}
		if( $page_layout_args_custom['padding']!='-1' && $page_layout_args_custom['padding']!='' ){
			$page_layout_args['padding'] = $page_layout_args_custom['padding'];
		}
		G5Plus_Global::set_page_layout($page_layout_args);
	}
}
//==============================================================================
// SET TOP DRAWER PAGE SETTING
//==============================================================================
if (!function_exists('g5plus_set_page_top_drawer_setting')) {
	function g5plus_set_page_top_drawer_setting($post_id = null)
	{
		$top_drawer = &G5Plus_Global::get_top_drawer_var();
		if(is_404() || is_search()){
			return;
		}

		$top_drawer_type = g5plus_get_rwmb_meta('top_drawer_type', array(),$post_id);
		if (($top_drawer_type !== false) && ($top_drawer_type !== '') && ($top_drawer_type !== '-1')) {
			$top_drawer['top_drawer_type'] = $top_drawer_type;
		}

		$top_drawer_sidebar = g5plus_get_rwmb_meta('top_drawer_sidebar', array(),$post_id);
		if ($top_drawer_sidebar) {
			$top_drawer['top_drawer_sidebar'] = $top_drawer_sidebar;
		}

		$top_drawer_wrapper_layout = g5plus_get_rwmb_meta('top_drawer_wrapper_layout', array(),$post_id);
		if (($top_drawer_wrapper_layout !== false) && ($top_drawer_wrapper_layout !== '') && ($top_drawer_wrapper_layout !== '-1')) {
			$top_drawer['top_drawer_wrapper_layout'] = $top_drawer_wrapper_layout;
		}

		$top_drawer_hide_mobile = g5plus_get_rwmb_meta('top_drawer_hide_mobile', array(),$post_id);
		if (($top_drawer_hide_mobile !== false) && ($top_drawer_hide_mobile !== '') && ($top_drawer_hide_mobile !== '-1')) {
			$top_drawer['top_drawer_hide_mobile'] = $top_drawer_hide_mobile;
		}

		$top_drawer_padding = g5plus_get_rwmb_meta('top_drawer_padding', array(),$post_id);
		if (($top_drawer_padding !== false) &&($top_drawer_padding !== '') && isset($top_drawer_padding['top']) && isset($top_drawer_padding['bottom'])) {
			if ($top_drawer_padding['top']) {
				$top_drawer_padding['top'] .= 'px';
				$top_drawer['top_drawer_padding']['padding-top'] = $top_drawer_padding['top'];
			}
			if ($top_drawer_padding['bottom']) {
				$top_drawer_padding['bottom'] .= 'px';
				$top_drawer['top_drawer_padding']['padding-bottom'] = $top_drawer_padding['bottom'];
			}
		}
	}
}

//==============================================================================
// SET PAGE TOP BAR SETTING
//==============================================================================
if (!function_exists('g5plus_set_page_top_bar_setting')) {
	function g5plus_set_page_top_bar_setting($post_id = null)
	{
		$top_bar = &G5Plus_Global::get_top_bar_var();

		if(is_404() || is_search()){
			return;
		}

		$top_bar_enable = g5plus_get_rwmb_meta('top_bar_enable', array(),$post_id);
		if (($top_bar_enable !== false) && ($top_bar_enable !== '') && ($top_bar_enable !== '-1')) {
			$top_bar['top_bar_enable'] = $top_bar_enable;
		}

		$top_bar_layout = g5plus_get_rwmb_meta('top_bar_layout', array(),$post_id);
		if ($top_bar_layout) {
			$top_bar['top_bar_layout'] = $top_bar_layout;
		}

		$top_bar_left_sidebar = g5plus_get_rwmb_meta('top_bar_left_sidebar', array(),$post_id);
		if ($top_bar_left_sidebar) {
			$top_bar['top_bar_left_sidebar'] = $top_bar_left_sidebar;
		}

		$top_bar_right_sidebar = g5plus_get_rwmb_meta('top_bar_right_sidebar', array(),$post_id);
		if ($top_bar_right_sidebar) {
			$top_bar['top_bar_right_sidebar'] = $top_bar_right_sidebar;
		}

		$top_bar_border = g5plus_get_rwmb_meta('top_bar_border', array(),$post_id);
		if (($top_bar_border !== false) && ($top_bar_border !== '') && ($top_bar_border !== '-1')) {
			$top_bar['top_bar_border'] = $top_bar_border;
		}

		$top_bar_padding = g5plus_get_rwmb_meta('top_bar_padding', array(),$post_id);
		if (($top_bar_padding !== false) && ($top_bar_padding !== '') && isset($top_bar_padding['top']) && isset($top_bar_padding['bottom'])) {
			if ($top_bar_padding['top']) {
				$top_bar_padding['top'] .= 'px';
				$top_bar['top_bar_padding']['padding-top'] = $top_bar_padding['top'];
			}
			if ($top_bar_padding['bottom']) {
				$top_bar_padding['bottom'] .= 'px';
				$top_bar['top_bar_padding']['padding-bottom'] = $top_bar_padding['bottom'];
			}
		}

		$top_bar_mobile_enable = g5plus_get_rwmb_meta('top_bar_mobile_enable', array(),$post_id);
		if (($top_bar_mobile_enable !== false) && ($top_bar_mobile_enable !== '') && ($top_bar_mobile_enable !== '-1')) {
			$top_bar['top_bar_mobile_enable'] = $top_bar_mobile_enable;
		}

		$top_bar_mobile_layout = g5plus_get_rwmb_meta('top_bar_mobile_layout', array(),$post_id);
		if ($top_bar_mobile_layout) {
			$top_bar['top_bar_mobile_layout'] = $top_bar_mobile_layout;
		}

		$top_bar_mobile_left_sidebar = g5plus_get_rwmb_meta('top_bar_mobile_left_sidebar', array(),$post_id);
		if ($top_bar_mobile_left_sidebar) {
			$top_bar['top_bar_mobile_left_sidebar'] = $top_bar_mobile_left_sidebar;
		}

		$top_bar_mobile_right_sidebar = g5plus_get_rwmb_meta('top_bar_mobile_right_sidebar', array(),$post_id);
		if ($top_bar_mobile_right_sidebar) {
			$top_bar['top_bar_mobile_right_sidebar'] = $top_bar_mobile_right_sidebar;
		}

		$top_bar_mobile_border = g5plus_get_rwmb_meta('top_bar_mobile_border', array(),$post_id);
		if (($top_bar_mobile_border !== false) && ($top_bar_mobile_border !== '') && ($top_bar_mobile_border !== '-1')) {
			$top_bar['top_bar_mobile_border'] = $top_bar_mobile_border;
		}
	}
}

//==============================================================================
// SET PAGE HEADER SETTING
//==============================================================================
if (!function_exists('g5plus_set_page_header_setting')) {
	function g5plus_set_page_header_setting($post_id = null)
	{
		$header = &G5Plus_Global::get_header_var();

		if(is_404() || is_search()){
			return;
		}

		$header_show_hide = g5plus_get_rwmb_meta('header_show_hide', array(),$post_id);
		if (($header_show_hide !== false) && ($header_show_hide !== '')) {
			$header['header_show_hide'] = $header_show_hide;
		}

		$header_layout = g5plus_get_rwmb_meta('header_layout', array(),$post_id);
		if ($header_layout) {
			$header['header_layout'] = $header_layout;
		}

		$header_container_layout = g5plus_get_rwmb_meta('header_container_layout', array(),$post_id);
		if (($header_container_layout !== false) && ($header_container_layout !== '') && ($header_container_layout !== '-1')) {
			$header['header_container_layout'] = $header_container_layout;
		}

		$header_float = g5plus_get_rwmb_meta('header_float', array(),$post_id);
		if (($header_float !== false) && ($header_float !== '') && ($header_float !== '-1')) {
			$header['header_float'] = $header_float;
		}

		$header_sticky = g5plus_get_rwmb_meta('header_sticky', array(),$post_id);
		if (($header_sticky !== false) && ($header_sticky !== '') && ($header_sticky !== '-1')) {
			$header['header_sticky'] = $header_sticky;
		}

		$header_border_bottom = g5plus_get_rwmb_meta('header_border_bottom', array(),$post_id);
		if (($header_border_bottom !== false) &&($header_border_bottom !== '') && ($header_border_bottom !== '-1')) {
			$header['header_border_bottom'] = $header_border_bottom;
		}
		$header_above_border_bottom = g5plus_get_rwmb_meta('header_above_border_bottom', array(),$post_id);
		if (($header_above_border_bottom !== false) && ($header_above_border_bottom !== '') && ($header_above_border_bottom !== '-1')) {
			$header['header_above_border_bottom'] = $header_above_border_bottom;
		}
		$header_padding = g5plus_get_rwmb_meta('header_padding', array(),$post_id);
		if (($header_padding !== false) && ($header_padding !== '') && isset($header_padding['top']) && isset($header_padding['bottom'])) {
			if ($header_padding['top']) {
				$header_padding['top'] .= 'px';
				$header['header_padding']['padding-top'] = $header_padding['top'];
			}
			if ($header_padding['bottom']) {
				$header_padding['bottom'] .= 'px';
				$header['header_padding']['padding-bottom'] = $header_padding['bottom'];
			}
		}

		$navigation_height = g5plus_get_rwmb_meta('navigation_height', array(),$post_id);
		if (($navigation_height !== false) && ($navigation_height !== '') && ($navigation_height !== '')) {
			$header['navigation_height'] =$navigation_height. 'px';
		}

		$mobile_header_layout = g5plus_get_rwmb_meta('mobile_header_layout', array(),$post_id);
		if ($mobile_header_layout) {
			$header['mobile_header_layout'] = $mobile_header_layout;
		}

		$mobile_header_menu_drop = g5plus_get_rwmb_meta('mobile_header_menu_drop', array(),$post_id);
		if (($mobile_header_menu_drop !== false) && ($mobile_header_menu_drop !== '') && ($mobile_header_menu_drop !== '-1')) {
			$header['mobile_header_menu_drop'] = $mobile_header_menu_drop;
		}

		$mobile_header_stick = g5plus_get_rwmb_meta('mobile_header_stick', array(),$post_id);
		if (($mobile_header_stick !== false) && ($mobile_header_stick !== '') && ($mobile_header_stick !== '-1')) {
			$header['mobile_header_stick'] = $mobile_header_stick;
		}

		$mobile_header_search_box = g5plus_get_rwmb_meta('mobile_header_search_box', array(),$post_id);
		if (($mobile_header_search_box !== false) && ($mobile_header_search_box !== '') && ($mobile_header_search_box !== '-1')) {
			$header['mobile_header_search_box'] = $mobile_header_search_box;
		}

		$mobile_header_shopping_cart = g5plus_get_rwmb_meta('mobile_header_shopping_cart', array(),$post_id);
		if (($mobile_header_shopping_cart !== false) && ($mobile_header_shopping_cart !== '') && ($mobile_header_shopping_cart !== '-1')) {
			$header['mobile_header_shopping_cart'] = $mobile_header_shopping_cart;
		}

		$mobile_header_border_bottom = g5plus_get_rwmb_meta('mobile_header_border_bottom', array(),$post_id);
		if (($mobile_header_border_bottom !== false) && ($mobile_header_border_bottom !== '') && ($mobile_header_border_bottom !== '-1')) {
			$header['mobile_header_border_bottom'] = $mobile_header_border_bottom;
		}
	}
}

//==============================================================================
// SET PAGE HEADER CUSTOMIZE SETTING
//==============================================================================
if (!function_exists('g5plus_set_page_header_customize_setting')) {
	function g5plus_set_page_header_customize_setting($post_id = null)
	{
		$header_customize = &G5Plus_Global::get_header_customize_var();

		if(is_404() || is_search()){
			return;
		}

		$enable_header_customize_nav = g5plus_get_rwmb_meta('enable_header_customize_nav', array(),$post_id);
		if ($enable_header_customize_nav) {
			$header_customize_nav = g5plus_get_rwmb_meta('header_customize_nav', array(),$post_id);
			if (($header_customize_nav !== false) && ($header_customize_nav !== '')) {
				$header_customize_nav_arr = array();
				if (isset($header_customize_nav['enable'])) {
					$header_customize_nav_arr = explode('||', $header_customize_nav['enable']);
				}
				$header_customize['header_customize_nav']['enabled'] = array();
				foreach ($header_customize_nav_arr as $value) {
					$header_customize['header_customize_nav']['enabled'][$value] = $value;
				}
			}

			$header_customize_nav_email = g5plus_get_rwmb_meta('header_customize_nav_email', array(),$post_id);
			if (($header_customize_nav_email !== false) && ($header_customize_nav_email !== '')) {
				$header_customize['header_customize_nav_email']['label'] = $header_customize_nav_email['label'];
				$header_customize['header_customize_nav_email']['value'] = $header_customize_nav_email['text'];
			}

			$header_customize_nav_phone = g5plus_get_rwmb_meta('header_customize_nav_phone', array(),$post_id);
			if (($header_customize_nav_phone !== false) && ($header_customize_nav_phone !== '')) {
				$header_customize['header_customize_nav_phone']['label'] = $header_customize_nav_phone['label'];
				$header_customize['header_customize_nav_phone']['value'] = $header_customize_nav_phone['text'];
			}

			$header_customize_nav_search = g5plus_get_rwmb_meta('header_customize_nav_search', array(),$post_id);
			if (($header_customize_nav_search !== false) && ($header_customize_nav_search !== '')) {
				$header_customize['header_customize_nav_search'] = $header_customize_nav_search;
			}

			$header_customize_nav_sidebar = g5plus_get_rwmb_meta('header_customize_nav_sidebar', array(),$post_id);
			if ($header_customize_nav_sidebar) {
				$header_customize['header_customize_nav_sidebar'] = $header_customize_nav_sidebar;
			}

			$header_customize_nav_text = g5plus_get_rwmb_meta('header_customize_nav_text', array(),$post_id);
			if (($header_customize_nav_text !== false) && ($header_customize_nav_text !== '')) {
				$header_customize['header_customize_nav_text'] = $header_customize_nav_text;
			}

			$header_customize_nav_spacing = g5plus_get_rwmb_meta('header_customize_nav_spacing', array(),$post_id);
			if (($header_customize_nav_spacing !== false) && ($header_customize_nav_spacing !== '')) {
				$header_customize['header_customize_nav_spacing'] = $header_customize_nav_spacing . 'px';
			}
		}

		$enable_header_customize_left = g5plus_get_rwmb_meta('enable_header_customize_left', array(),$post_id);
		if ($enable_header_customize_left) {
			$header_customize_left = g5plus_get_rwmb_meta('header_customize_left', array(),$post_id);
			if ($header_customize_left !== '') {
				$header_customize_left_arr = array();
				if (isset($header_customize_left['enable'])) {
					$header_customize_left_arr = explode('||', $header_customize_left['enable']);
				}
				$header_customize['header_customize_left']['enabled'] = array();
				foreach ($header_customize_left_arr as $value) {
					$header_customize['header_customize_left']['enabled'][$value] = $value;
				}
			}

			$header_customize_left_email = g5plus_get_rwmb_meta('header_customize_left_email', array(),$post_id);
			if (($header_customize_left_email !== false) && ($header_customize_left_email !== '')) {
				$header_customize['header_customize_left_email']['label'] = $header_customize_left_email['label'];
				$header_customize['header_customize_left_email']['value'] = $header_customize_left_email['text'];
			}

			$header_customize_left_phone = g5plus_get_rwmb_meta('header_customize_left_phone', array(),$post_id);
			if (($header_customize_left_phone !== false) && ($header_customize_left_phone !== '')) {
				$header_customize['header_customize_left_phone']['label'] = $header_customize_left_phone['label'];
				$header_customize['header_customize_left_phone']['value'] = $header_customize_left_phone['text'];
			}

			$header_customize_left_search = g5plus_get_rwmb_meta('header_customize_left_search', array(),$post_id);
			if (($header_customize_left_search !== false) && ($header_customize_left_search !== '')) {
				$header_customize['header_customize_left_search'] = $header_customize_left_search;
			}

			$header_customize_left_sidebar = g5plus_get_rwmb_meta('header_customize_left_sidebar', array(),$post_id);
			if ($header_customize_left_sidebar) {
				$header_customize['header_customize_left_sidebar'] = $header_customize_left_sidebar;
			}

			$header_customize_left_text = g5plus_get_rwmb_meta('header_customize_left_text', array(),$post_id);
			if (($header_customize_left_text !== false) && ($header_customize_left_text !== '')) {
				$header_customize['header_customize_left_text'] = $header_customize_left_text;
			}

			$header_customize_left_spacing = g5plus_get_rwmb_meta('header_customize_left_spacing', array(),$post_id);
			if (($header_customize_left_spacing !== false) && ($header_customize_left_spacing !== '')) {
				$header_customize['header_customize_left_spacing'] = $header_customize_left_spacing . 'px';
			}
		}

		$enable_header_customize_right = g5plus_get_rwmb_meta('enable_header_customize_right', array(),$post_id);
		if ($enable_header_customize_right) {
			$header_customize_right = g5plus_get_rwmb_meta('header_customize_right', array(),$post_id);
			if (($header_customize_right !== false) && ($header_customize_right !== '')) {
				$header_customize_right_arr = array();
				if (isset($header_customize_right['enable'])) {
					$header_customize_right_arr = explode('||', $header_customize_right['enable']);
				}
				$header_customize['header_customize_right']['enabled'] = array();
				foreach ($header_customize_right_arr as $value) {
					$header_customize['header_customize_right']['enabled'][$value] = $value;
				}
			}

			$header_customize_right_email = g5plus_get_rwmb_meta('header_customize_right_email', array(),$post_id);
			if (($header_customize_right_email !== false) && ($header_customize_right_email !== '')) {
				$header_customize['header_customize_right_email']['label'] = $header_customize_right_email['label'];
				$header_customize['header_customize_right_email']['value'] = $header_customize_right_email['text'];
			}

			$header_customize_right_phone = g5plus_get_rwmb_meta('header_customize_right_phone', array(),$post_id);
			if (($header_customize_right_phone !== false) && ($header_customize_right_phone !== '')) {
				$header_customize['header_customize_right_phone']['label'] = $header_customize_right_phone['label'];
				$header_customize['header_customize_right_phone']['value'] = $header_customize_right_phone['text'];
			}

			$header_customize_right_search = g5plus_get_rwmb_meta('header_customize_right_search', array(),$post_id);
			if (($header_customize_right_search !== false) && ($header_customize_right_search !== '')) {
				$header_customize['header_customize_right_search'] = $header_customize_right_search;
			}

			$header_customize_right_sidebar = g5plus_get_rwmb_meta('header_customize_right_sidebar', array(),$post_id);
			if ($header_customize_right_sidebar) {
				$header_customize['header_customize_right_sidebar'] = $header_customize_right_sidebar;
			}

			$header_customize_right_text = g5plus_get_rwmb_meta('header_customize_right_text', array(),$post_id);
			if (($header_customize_right_text !== false) && ($header_customize_right_text !== '')) {
				$header_customize['header_customize_right_text'] = $header_customize_right_text;
			}

			$header_customize_right_spacing = g5plus_get_rwmb_meta('header_customize_right_spacing', array(),$post_id);
			if (($header_customize_right_spacing !== false) && ($header_customize_right_spacing !== '')) {
				$header_customize['header_customize_right_spacing'] = $header_customize_right_spacing . 'px';
			}
		}

	}
}

//==============================================================================
// SET PAGE FOOTER SETTING
//==============================================================================
if (!function_exists('g5plus_set_page_footer_setting')) {
	function g5plus_set_page_footer_setting($post_id)
	{
		$footer = &G5Plus_Global::get_footer_var();

		if(is_404() || is_search()){
			return;
		}

		$footer_show_hide = g5plus_get_rwmb_meta('footer_show_hide', array(),$post_id);
		if (($footer_show_hide !== false) && ($footer_show_hide !== '')) {
			$footer['footer_show_hide'] = $footer_show_hide;
		}

		$footer_container_layout = g5plus_get_rwmb_meta('footer_container_layout', array(),$post_id);
		if (($footer_container_layout !== false) && ($footer_container_layout !== '') && ($footer_container_layout !== '-1')) {
			$footer['footer_container_layout'] = $footer_container_layout;
		}

		$footer_layout = g5plus_get_rwmb_meta('footer_layout', array(),$post_id);
		if ($footer_layout) {
			$footer['footer_layout'] = $footer_layout;
		}

		$footer_sidebar_1 = g5plus_get_rwmb_meta('footer_sidebar_1', array(),$post_id);
		if ($footer_sidebar_1) {
			$footer['footer_sidebar_1'] = $footer_sidebar_1;
		}

		$footer_sidebar_2 = g5plus_get_rwmb_meta('footer_sidebar_2', array(),$post_id);
		if ($footer_sidebar_2) {
			$footer['footer_sidebar_2'] = $footer_sidebar_2;
		}

		$footer_sidebar_3 = g5plus_get_rwmb_meta('footer_sidebar_3', array(),$post_id);
		if ($footer_sidebar_3) {
			$footer['footer_sidebar_3'] = $footer_sidebar_3;
		}

		$footer_sidebar_4 = g5plus_get_rwmb_meta('footer_sidebar_4', array(),$post_id);
		if ($footer_sidebar_4) {
			$footer['footer_sidebar_4'] = $footer_sidebar_4;
		}

		$footer_bg_image= g5plus_get_meta_box_image('footer_bg_image', array(),$post_id);
		if ($footer_bg_image) {
			$footer['footer_bg_image'] = $footer_bg_image;
		}

		$footer_parallax = g5plus_get_rwmb_meta('footer_parallax', array(),$post_id);
		if (($footer_parallax !== false) && ($footer_parallax !== '') && ($footer_parallax !== '-1')) {
			$footer['footer_parallax'] = $footer_parallax;
		}

		$collapse_footer = g5plus_get_rwmb_meta('collapse_footer', array(),$post_id);
		if (($collapse_footer !== false) && ($collapse_footer !== '') && ($collapse_footer !== '-1')) {
			$footer['collapse_footer'] = $collapse_footer;
		}

		$footer_border_top = g5plus_get_rwmb_meta('footer_border_top', array(),$post_id);
		if (($footer_border_top !== false) && ($footer_border_top !== '') && ($footer_border_top !== '-1')) {
			$footer['footer_border_top'] = $footer_border_top;
		}

		$footer_padding = g5plus_get_rwmb_meta('footer_padding', array(),$post_id);
		if (($footer_padding !== false) && ($footer_padding !== '') && isset($footer_padding['top']) && isset($footer_padding['bottom'])) {
			if ($footer_padding['top']) {
				$footer_padding['top'] .= 'px';
				$footer['footer_padding']['padding-top'] = $footer_padding['top'];
			}
			if ($footer_padding['bottom']) {
				$footer_padding['bottom'] .= 'px';
				$footer['footer_padding']['padding-bottom'] = $footer_padding['bottom'];
			}


		}

		$bottom_bar_visible = g5plus_get_rwmb_meta('bottom_bar_visible', array(),$post_id);
		if (($bottom_bar_visible !== false) && ($bottom_bar_visible !== '')) {
			$footer['bottom_bar_visible'] = $bottom_bar_visible;
		}

		$bottom_bar_layout = g5plus_get_rwmb_meta('bottom_bar_layout', array(),$post_id);
		if ($bottom_bar_layout) {
			$footer['bottom_bar_layout'] = $bottom_bar_layout;
		}

		$bottom_bar_left_sidebar = g5plus_get_rwmb_meta('bottom_bar_left_sidebar', array(),$post_id);
		if ($bottom_bar_left_sidebar) {
			$footer['bottom_bar_left_sidebar'] = $bottom_bar_left_sidebar;
		}

		$bottom_bar_right_sidebar = g5plus_get_rwmb_meta('bottom_bar_right_sidebar', array(),$post_id);
		if ($bottom_bar_right_sidebar) {
			$footer['bottom_bar_right_sidebar'] = $bottom_bar_right_sidebar;
		}

		$bottom_bar_border_top = g5plus_get_rwmb_meta('bottom_bar_border_top', array(),$post_id);
		if (($bottom_bar_border_top !== '') && ($bottom_bar_border_top !== '-1')) {
			$footer['bottom_bar_border_top'] = $bottom_bar_border_top;
		}

		$bottom_bar_padding = g5plus_get_rwmb_meta('bottom_bar_padding', array(),$post_id);
		if (($bottom_bar_padding !== false) && ($bottom_bar_padding !== '') && isset($bottom_bar_padding['top']) && isset($bottom_bar_padding['bottom'])) {
			if ($bottom_bar_padding['top']) {
				$bottom_bar_padding['top'] .= 'px';
				$footer['bottom_bar_padding']['padding-top'] = $bottom_bar_padding['top'];
			}
			if ($bottom_bar_padding['bottom']) {
				$bottom_bar_padding['bottom'] .= 'px';
				$footer['bottom_bar_padding']['padding-bottom'] = $bottom_bar_padding['bottom'];
			}
		}
	}
}

//==============================================================================
// SET PAGE COLOR SETTING
//==============================================================================
if (!function_exists('g5plus_set_page_color_setting')) {
	function g5plus_set_page_color_setting($post_id)
	{
		$theme_color = &G5Plus_Global::get_theme_color_var();
		$header = &G5Plus_Global::get_header_var();

		if(is_404() || is_search()){
			return;
		}

		// Primary Color
		$enable_primary_color = g5plus_get_rwmb_meta('enable_primary_color', array(),$post_id);
		if ($enable_primary_color) {
			$primary_color = g5plus_get_rwmb_meta('primary_color', array(),$post_id);
			if ($primary_color) {
				$theme_color['primary_color'] = $primary_color;
			}
		}

		// Top Drawer Color
		$enable_top_drawer_color = g5plus_get_rwmb_meta('enable_top_drawer_color', array(),$post_id);
		if ($enable_top_drawer_color) {
			$top_drawer_bg_color = g5plus_get_rwmb_meta('top_drawer_bg_color', array(),$post_id);
			if ($top_drawer_bg_color) {
				$theme_color['top_drawer_bg_color'] = $top_drawer_bg_color;
			}
			$top_drawer_text_color = g5plus_get_rwmb_meta('top_drawer_text_color', array(),$post_id);
			if ($top_drawer_text_color) {
				$theme_color['top_drawer_text_color'] = $top_drawer_text_color;
			}
		}

		// Header Color
		$enable_header_color = g5plus_get_rwmb_meta('enable_header_color', array(),$post_id);
		if ($enable_header_color) {
			$header_bg_color = g5plus_get_rwmb_meta('header_bg_color', array(),$post_id);
			if ($header_bg_color) {
				$theme_color['header_bg_color'] = $header_bg_color;
			}

			$header_text_color = g5plus_get_rwmb_meta('header_text_color', array(),$post_id);
			if ($header_text_color) {
				$theme_color['header_text_color'] = $header_text_color;
			}

			$header_border_color = g5plus_get_rwmb_meta('header_border_color', array(),$post_id);
			if ($header_border_color) {
				$theme_color['header_border_color'] = $header_border_color;
			}

			$header_above_border_color = g5plus_get_rwmb_meta('header_above_border_color', array(),$post_id);
			if ($header_above_border_color) {
				$theme_color['header_above_border_color'] = $header_above_border_color;
			}


			if ($header['header_float']) {
				$header_overlay = g5plus_get_rwmb_meta('header_overlay', array(),$post_id);
				if (($header_overlay !== false) && ($header_overlay !== '')) {
					$theme_color['header_bg_color'] = g5plus_hex2rgba($theme_color['header_bg_color'], $header_overlay);
					$theme_color['header_border_color'] = g5plus_hex2rgba($theme_color['header_border_color'], $header_overlay);
					$theme_color['header_above_border_color'] = g5plus_hex2rgba($theme_color['header_above_border_color'], $header_overlay);
				}
			}
		}

		// Top Bar Color
		$enable_top_bar_color = g5plus_get_rwmb_meta('enable_top_bar_color', array(),$post_id);
		if ($enable_top_bar_color) {
			$top_bar_bg_color = g5plus_get_rwmb_meta('top_bar_bg_color', array(),$post_id);
			if ($top_bar_bg_color) {
				$theme_color['top_bar_bg_color'] = $top_bar_bg_color;
			}

			$top_bar_text_color = g5plus_get_rwmb_meta('top_bar_text_color', array(),$post_id);
			if ($top_bar_text_color) {
				$theme_color['top_bar_text_color'] = $top_bar_text_color;
			}

			$top_bar_border_color = g5plus_get_rwmb_meta('top_bar_border_color', array(),$post_id);
			if ($top_bar_border_color) {
				$theme_color['top_bar_border_color'] = $top_bar_border_color;
			}

			if ($header['header_float']) {
				$top_bar_overlay = g5plus_get_rwmb_meta('top_bar_overlay', array(),$post_id);
				if ($top_bar_overlay !== '') {
					$theme_color['top_bar_bg_color'] = g5plus_hex2rgba($theme_color['top_bar_bg_color'], $top_bar_overlay);
					$theme_color['top_bar_border_color'] = g5plus_hex2rgba($theme_color['top_bar_border_color'], $top_bar_overlay);
				}
			}
		}
		// Navigation Color
		$enable_navigation_color = g5plus_get_rwmb_meta('enable_navigation_color', array(),$post_id);
		if ($enable_navigation_color) {
			$navigation_bg_color = g5plus_get_rwmb_meta('navigation_bg_color', array(),$post_id);
			if ($navigation_bg_color) {
				$theme_color['navigation_bg_color'] = $navigation_bg_color;
			}

			$navigation_text_color = g5plus_get_rwmb_meta('navigation_text_color', array(),$post_id);
			if ($navigation_text_color) {
				$theme_color['navigation_text_color'] = $navigation_text_color;
			}

			if ($header['header_float']) {
				$navigation_overlay = g5plus_get_rwmb_meta('navigation_overlay', array(),$post_id);
				if ($navigation_overlay !== '') {
					$theme_color['navigation_bg_color'] = g5plus_hex2rgba($theme_color['navigation_bg_color'], $navigation_overlay);
				}
			}
		}

		// Footer Color
		$enable_footer_color = g5plus_get_rwmb_meta('enable_footer_color', array(),$post_id);
		if ($enable_footer_color) {
			$footer_bg_color = g5plus_get_rwmb_meta('footer_bg_color', array(),$post_id);
			if ($footer_bg_color) {
				$theme_color['footer_bg_color'] = $footer_bg_color;
			}

			$footer_text_color = g5plus_get_rwmb_meta('footer_text_color', array(),$post_id);
			if ($footer_text_color) {
				$theme_color['footer_text_color'] = $footer_text_color;
			}

			$footer_widget_title_color = g5plus_get_rwmb_meta('footer_widget_title_color', array(),$post_id);
			if ($footer_widget_title_color) {
				$theme_color['footer_widget_title_color'] = $footer_widget_title_color;
			}

			$footer_border_color = g5plus_get_rwmb_meta('footer_border_color', array(),$post_id);
			if ($footer_border_color) {
				$theme_color['footer_border_color'] = $footer_border_color;
			}
		}

		// Bottom Bar Color
		$enable_bottom_bar_color = g5plus_get_rwmb_meta('enable_bottom_bar_color', array(),$post_id);
		if ($enable_bottom_bar_color) {
			$bottom_bar_bg_color = g5plus_get_rwmb_meta('bottom_bar_bg_color', array(),$post_id);
			if ($bottom_bar_bg_color) {
				$theme_color['bottom_bar_bg_color'] = $bottom_bar_bg_color;
			}

			$bottom_bar_text_color = g5plus_get_rwmb_meta('bottom_bar_text_color', array(),$post_id);
			if ($bottom_bar_text_color) {
				$theme_color['bottom_bar_text_color'] = $bottom_bar_text_color;
			}

			$bottom_bar_border_color = g5plus_get_rwmb_meta('bottom_bar_border_color', array(),$post_id);
			if ($bottom_bar_border_color) {
				$theme_color['bottom_bar_border_color'] = $bottom_bar_border_color;
			}
		}
	}
}

//==============================================================================
// Check Change Page Spacing
//==============================================================================
if (!function_exists('g5plus_is_page_changed_spacing')) {
	function g5plus_is_page_changed_spacing($post_id = null) {
		// LOGO
		//--------------------------------------------------------
		$logo = &G5Plus_Global::get_logo_var();
		$logo_max_height = g5plus_get_rwmb_meta('logo_max_height', array(),$post_id);
		if (($logo_max_height !== false) && ($logo_max_height !== '') && ($logo_max_height !== '') && ($logo_max_height !== $logo['logo_max_height'])) {
			return true;
		}

		$logo_padding = g5plus_get_rwmb_meta('logo_padding', array(),$post_id);
		if (($logo_padding !== false) && ($logo_padding !== '')) {
			if (isset($logo_padding['top']) && $logo_padding['top'] && ($logo_padding['top'] != $logo['logo_padding']['padding-top'])) {
				return true;
			}
			if (isset($logo_padding['bottom']) && $logo_padding['bottom'] && ($logo_padding['bottom'] != $logo['logo_padding']['padding-bottom'])) {
				return true;
			}
		}

		$mobile_logo_max_height = g5plus_get_rwmb_meta('mobile_logo_max_height', array(),$post_id);
		if (($mobile_logo_max_height !== false) && ($mobile_logo_max_height !== '') && ($mobile_logo_max_height !== '') && ($mobile_logo_max_height !== $logo['mobile_logo_max_height'])) {
			return true;
		}

		$mobile_logo_padding = g5plus_get_rwmb_meta('mobile_logo_padding', array(),$post_id);
		if (($mobile_logo_padding !== false) && ($mobile_logo_padding !== '')) {
			if (isset($mobile_logo_padding['top']) && $mobile_logo_padding['top'] && ($mobile_logo_padding['top'] != $logo['mobile_logo_padding']['padding-top'])) {
				return true;
			}
			if (isset($mobile_logo_padding['bottom']) && $mobile_logo_padding['bottom'] && ($mobile_logo_padding['bottom'] != $logo['mobile_logo_padding']['padding-bottom'])) {
				return true;
			}
		}

		// TOP DRAWER
		//--------------------------------------------------------
		$top_drawer = &G5Plus_Global::get_top_drawer_var();
		$top_drawer_padding = g5plus_get_rwmb_meta('top_drawer_padding', array(),$post_id);
		if (($top_drawer_padding !== false) && ($top_drawer_padding !== '')) {
			if (isset($top_drawer_padding['top']) && $top_drawer_padding['top'] && ($top_drawer_padding['top'] != $top_drawer['top_drawer_padding']['padding-top'])) {
				return true;
			}
			if (isset($top_drawer_padding['bottom']) && $top_drawer_padding['bottom'] && ($top_drawer_padding['bottom'] != $top_drawer['top_drawer_padding']['padding-bottom'])) {
				return true;
			}
		}

		// TOP BAR
		//--------------------------------------------------------
		$top_bar = &G5Plus_Global::get_top_bar_var();
		$top_bar_padding = g5plus_get_rwmb_meta('top_bar_padding', array(),$post_id);
		if (($top_bar_padding !== false) && ($top_bar_padding !== '')) {
			if (isset($top_bar_padding['top']) && $top_bar_padding['top'] && ($top_bar_padding['top'] != $top_bar['top_bar_padding']['padding-top'])) {
				return true;
			}
			if (isset($top_bar_padding['bottom']) && $top_bar_padding['bottom'] && ($top_bar_padding['bottom'] != $top_bar['top_bar_padding']['padding-bottom'])) {
				return true;
			}
		}

		// HEADER
		//--------------------------------------------------------
		$header = &G5Plus_Global::get_header_var();
		$header_padding = g5plus_get_rwmb_meta('header_padding', array(),$post_id);
		if (($header_padding !== false) && ($header_padding !== '')) {
			if (isset($header_padding['top']) && $header_padding['top'] && ($header_padding['top'] != $header['header_padding']['padding-top'])) {
				return true;
			}
			if (isset($header_padding['bottom']) && $header_padding['bottom'] && ($header_padding['bottom'] != $header['header_padding']['padding-bottom'])) {
				return true;
			}
		}

		$navigation_height = g5plus_get_rwmb_meta('navigation_height', array(),$post_id);
		if (($navigation_height !== false) && ($navigation_height !== '') && ($navigation_height !== $header['navigation_height'])) {
			return true;
		}

		// CUSTOMIZE
		//--------------------------------------------------------
		$header_customize = &G5Plus_Global::get_header_customize_var();
		$enable_header_customize_nav = g5plus_get_rwmb_meta('enable_header_customize_nav', array(),$post_id);
		if ($enable_header_customize_nav) {
			$header_customize_nav_spacing = g5plus_get_rwmb_meta('header_customize_nav_spacing', array(),$post_id);
			if (($header_customize_nav_spacing !== false) && ($header_customize_nav_spacing !== '')) {
				$header_customize_nav_spacing .= 'px';
				if ($header_customize_nav_spacing != $header_customize['header_customize_nav_spacing']) {
					return true;
				}
			}
		}

		$enable_header_customize_left = g5plus_get_rwmb_meta('enable_header_customize_left', array(),$post_id);
		if ($enable_header_customize_left) {
			$header_customize_left_spacing = g5plus_get_rwmb_meta('header_customize_left_spacing', array(),$post_id);
			if (($header_customize_left_spacing !== false) && ($header_customize_left_spacing !== '')) {
				$header_customize_left_spacing .= 'px';
				if ($header_customize_left_spacing != $header_customize['header_customize_left_spacing']) {
					return true;
				}
			}
		}

		$enable_header_customize_right = g5plus_get_rwmb_meta('enable_header_customize_right', array(),$post_id);
		if ($enable_header_customize_right) {
			$header_customize_right_spacing = g5plus_get_rwmb_meta('header_customize_right_spacing', array(),$post_id);
			if (($header_customize_right_spacing !== false) && ($header_customize_right_spacing !== '')) {
				$header_customize_right_spacing .= 'px';
				if ($header_customize_right_spacing != $header_customize['header_customize_right_spacing']) {
					return true;
				}
			}
		}

		// FOOTER
		//--------------------------------------------------------
		$footer = &G5Plus_Global::get_footer_var();
		$footer_padding = g5plus_get_rwmb_meta('footer_padding', array(),$post_id);
		if (($footer_padding !== false) && ($footer_padding !== '')) {
			if (isset($footer_padding['top']) && $footer_padding['top'] && ($footer_padding['top'] != $footer['footer_padding']['padding-top'])) {
				return true;
			}
			if (isset($footer_padding['bottom']) && $footer_padding['bottom'] && ($footer_padding['bottom'] != $footer['footer_padding']['padding-bottom'])) {
				return true;
			}
		}

		$bottom_bar_padding = g5plus_get_rwmb_meta('bottom_bar_padding', array(),$post_id);
		if (($bottom_bar_padding !== false) && ($bottom_bar_padding !== '')) {
			if (isset($bottom_bar_padding['top']) && $bottom_bar_padding['top'] && ($bottom_bar_padding['top'] != $footer['bottom_bar_padding']['padding-top'])) {
				return true;
			}
			if (isset($bottom_bar_padding['bottom']) && $bottom_bar_padding['bottom'] && ($bottom_bar_padding['bottom'] != $footer['bottom_bar_padding']['padding-bottom'])) {
				return true;
			}
		}

		return false;
	}
}

//==============================================================================
// Set page changed setting
//==============================================================================
if (!function_exists('g5plus_set_page_changed_setting')) {
	function g5plus_set_page_changed_setting($post_id = null) {
		$header_layout = G5Plus_Global::get_option('header_layout');
		$page_header_layout = g5plus_get_rwmb_meta('header_layout', array(),$post_id);

		$changed = &G5Plus_Global::get_page_changed_setting();
		$changed['spacing'] = g5plus_is_page_changed_spacing();
		$changed['primary_color'] = g5plus_get_rwmb_meta('enable_primary_color', array(),$post_id);
		$changed['top_drawer_color'] = g5plus_get_rwmb_meta('enable_top_drawer_color', array(),$post_id);
		$changed['top_bar_color'] = g5plus_get_rwmb_meta('enable_top_bar_color', array(),$post_id) || ($page_header_layout && ($header_layout != $page_header_layout));
		$changed['header_color'] = g5plus_get_rwmb_meta('enable_header_color', array(),$post_id) || ($page_header_layout && ($header_layout != $page_header_layout));
		$changed['navigation_color'] = g5plus_get_rwmb_meta('enable_navigation_color', array(),$post_id) || ($page_header_layout && ($header_layout != $page_header_layout));
		$changed['footer_color'] = g5plus_get_rwmb_meta('enable_navigation_color', array(),$post_id);
		$changed['bottom_bar_color'] = g5plus_get_rwmb_meta('enable_bottom_bar_color', array(),$post_id);

		$changed['page_setting'] = $changed['spacing']
			|| $changed['primary_color']
			|| $changed['top_drawer_color']
			|| $changed['top_bar_color']
			|| $changed['header_color']
			|| $changed['navigation_color']
			|| $changed['footer_color']
			|| $changed['bottom_bar_color'];
	}
}