<?php
/**
 * The template for the sidebar containing the main widget area
 *
 * @package WordPress
 * @subpackage Pithree
 * @since Pithree 1.0
 */

$page_layout = G5Plus_Global::get_page_layout();
$sidebar_class = array('primary-sidebar', 'sidebar');
$has_sidebar = false;
if (is_active_sidebar($page_layout['sidebar']) && ($page_layout['sidebar_layout'] != 'none')) {
	$has_sidebar = true;
	$sidebar_col = 3;
	if ($page_layout['sidebar_width'] == 'large') {
		$sidebar_col = 4;
	}
	$sidebar_class[] = 'col-md-'.$sidebar_col;
	if ($page_layout['sidebar_layout'] == 'left') {
		$sidebar_class[] = 'col-md-pull-'.(12-$sidebar_col);
	}

	if ($page_layout['sidebar_mobile_enable'] == 0) {
		$sidebar_class[] = 'hidden-sm hidden-xs';
	}
}
?>
<?php if ($has_sidebar): ?>
	<div class="<?php echo esc_attr(join(' ',$sidebar_class)); ?>">
		<?php dynamic_sidebar( $page_layout['sidebar'] );?>
	</div>
<?php endif; ?>

