<?php
/**
 * The template for displaying content masonry
 *
 * @package WordPress
 * @subpackage Pithree
 * @since Pithree 1.0
 */
$size = 'full';
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('post-masonry clearfix'); ?>>
	<?php g5plus_get_post_thumbnail($size); ?>
	<div class="entry-content-wrap">
		<h3 class="entry-post-title"><a title="<?php the_title(); ?>" href="<?php echo get_permalink(); ?>"><?php the_title(); ?></a></h3>
		<div class="entry-meta-wrap">
			<div class="entry-post-meta">
				<div class="entry-meta-date"> <?php the_time(get_option('date_format')); ?></div>
				<?php if ( comments_open() || get_comments_number() ) : ?>
					<div class="entry-meta-comment">
						<?php comments_popup_link( wp_kses_post(__(' 0 Comments','pithree')), wp_kses_post(__(' 1 Comment','pithree')), wp_kses_post(__(' % Comments','pithree')), '', ''); ?>
					</div>
				<?php endif; ?>
				<?php edit_post_link(esc_html__( 'Edit', 'pithree' ), '<div class="edit-link"> ', '</div>' ); ?>
			</div>
		</div>
		<div class="entry-excerpt text-color-light">
			<?php the_excerpt(); ?>
		</div>
		<a class="bt bt-small layout-trans-dark bd-radius clearfix" href="<?php echo get_permalink() ?>" ><?php esc_html_e('Read more','pithree'); ?></a>
	</div>
</article>
