<?php
/**
 * The template for displaying post thumbnail
 *
 * @package WordPress
 * @subpackage Pithree
 * @since Pithree 1.0
 */
$hasThumb = false;
$width = '';
$height = '';
$image_sizes = '';
$class_login = '';
if (is_user_logged_in()) {
    $class_login = 'thumbnail-is-login';
}
$class_click_video = '';
?>
<?php if (has_post_format('gallery')) : ?>
    <?php $g5plus_gallery = get_post_meta(get_the_ID(), G5Plus_Post_Formats_UI::$format_gallery_images, true); ?>
    <?php if ($g5plus_gallery) : ?>
        <?php $hasThumb = true; ?>
        <?php
        $image_sizes = g5plus_get_image_size();
        if (isset($image_sizes[$size])) {
            $width = $image_sizes[$size]['width'];
            $height = $image_sizes[$size]['height'];
        }
        if (empty($width)) {
            $width = 0;
        }
        if (empty($height)) {
            $height = 0;
        }
        ?>
        <div class="entry-thumb-wrap captions slick <?php echo esc_attr($class_login) ?>"
             data-width="<?php echo esc_attr($width) ?>" data-height="<?php echo esc_attr($height) ?>"
             data-slick-config='{"slidesToShow": 1,"dots": true, "autoplay": true, "autoplaySpeed": 5000}'>
            <?php foreach ($g5plus_gallery as $image_id): ?>
                <?php g5plus_get_post_image($image_id, $size, 1); ?>
            <?php endforeach; ?>
        </div>
    <?php endif; ?>
<?php elseif (has_post_format('video')) : ?>
    <?php $g5plus_video = get_post_meta(get_the_ID(), G5Plus_Post_Formats_UI::$format_video_embed, true); ?>
    <?php if (!empty($g5plus_video)): ?>
        <?php $hasThumb = true; ?>
        <?php if($size != 'large-image' && $size != 'medium-image' && !(wp_oembed_get($g5plus_video))) $class_click_video = 'click-video-popup';?>
        <div class="entry-thumb-wrap lightgallery-video <?php echo esc_attr($class_click_video);?>">
            <?php if (wp_oembed_get($g5plus_video)) : ?>
                <?php if (has_post_thumbnail()) : ?>
                    <?php $g5plus_video_image = g5plus_get_image_src(get_post_thumbnail_id(), $size); ?>
                    <div class="entry-thumbnail post-video">
                        <a class="entry-thumbnail-overlay light-video" href="<?php echo esc_url($g5plus_video); ?>" title="<?php the_title_attribute(); ?>">
                            <img class="img-responsive" src="<?php echo esc_url($g5plus_video_image); ?>" alt="<?php the_title_attribute(); ?>"/>
                        </a>

                        <div class="play-video-hover">
                            <i class="fa fa-play"></i>
                        </div>
                    </div>
                <?php else: ?>
                    <div class="embed-responsive embed-responsive-16by9 embed-responsive-<?php echo esc_attr($size); ?>">
                        <?php echo wp_oembed_get($g5plus_video, array('wmode' => 'transparent')); ?>
                    </div>
                <?php endif; ?>
            <?php else : ?>
                <?php
                $str1 = strstr( $g5plus_video, 'src="' );
                $attr_string = explode ( ' ' , $str1);
                $url_video_trim_1 = str_replace( 'src="', '', $attr_string[0] );
                $url_video = str_replace( '"', '', $url_video_trim_1 );
                ?>
                <a class="light-video" data-src="<?php echo esc_url($url_video)?>"></a>
                <div class="embed-responsive embed-responsive-16by9 embed-responsive-<?php echo esc_attr($size); ?>">
                    <?php echo $g5plus_video; ?>
                </div>
            <?php endif; ?>
        </div>
    <?php endif; ?>
<?php elseif (has_post_format('audio')): ?>
    <?php $g5plus_audio = get_post_meta(get_the_ID(), G5Plus_Post_Formats_UI::$format_audio_embed, true); ?>
    <?php if (!empty($g5plus_audio)): ?>
        <?php $hasThumb = true; ?>
        <div class="entry-thumb-wrap">
            <div class="embed-responsive embed-responsive-16by9 embed-responsive-<?php echo esc_attr($size); ?>">
                <?php if (wp_oembed_get($g5plus_audio)) : ?>
                    <?php echo wp_oembed_get($g5plus_audio); ?>
                <?php else : ?>
                    <?php echo $g5plus_audio; ?>
                <?php endif; ?>
            </div>
        </div>
    <?php endif; ?>
<?php elseif (has_post_format('quote')): ?>
    <?php
    $g5plus_quote_content = get_post_meta(get_the_ID(), G5Plus_Post_Formats_UI::$format_quote_content, true);
    $g5plus_quote_author_text = get_post_meta(get_the_ID(), G5Plus_Post_Formats_UI::$format_quote_author_text, true);
    $g5plus_quote_author_url = get_post_meta(get_the_ID(), G5Plus_Post_Formats_UI::$format_quote_author_url, true);
    ?>
    <?php if (!empty($g5plus_quote_content)): ?>
        <?php $hasThumb = true; ?>
        <div class="entry-thumb-wrap post-quote">
            <blockquote class="quote-border-large">
                <p>
                    <?php echo esc_html($g5plus_quote_content); ?>
                    <?php if (!empty($g5plus_quote_author_text) && !empty($g5plus_quote_author_url)) : ?>
                        <cite><a href="<?php echo esc_url($g5plus_quote_author_url) ?>"
                                 title="<?php echo esc_attr($g5plus_quote_author_text); ?>"><?php echo esc_html($g5plus_quote_author_text); ?></a></cite>
                    <?php endif;; ?>
                </p>
            </blockquote>
        </div>
    <?php endif; ?>
<?php elseif (has_post_format('link')): ?>
    <?php
    $g5plus_link_text = get_post_meta(get_the_ID(), G5Plus_Post_Formats_UI::$format_link_text, true);
    $g5plus_link_url = get_post_meta(get_the_ID(), G5Plus_Post_Formats_UI::$format_link_url, true);
    ?>
    <?php if (!empty($g5plus_link_text) && !empty($g5plus_link_url)) : ?>
        <?php $hasThumb = true; ?>
        <div class="entry-thumb-wrap post-link">
            <a href="<?php echo esc_url($g5plus_link_url) ?>"><i class="pi-icon-link fa fa-link"></i></a>
            <a class="s-font" href="<?php echo esc_url($g5plus_link_url) ?>"
               title="<?php echo esc_attr($g5plus_link_text); ?>"><?php echo esc_html($g5plus_link_text); ?></a>
        </div>
    <?php endif; ?>
<?php endif; ?>

<?php if (!$hasThumb) : ?>
    <?php if (has_post_thumbnail()) : ?>
        <div class="captions entry-thumb-wrap">
            <?php if ($size === 'large-image') {
                $size = 'full';
            } ?>
            <?php g5plus_get_post_image(get_post_thumbnail_id(), $size, 0); ?>
        </div>
    <?php endif; ?>
<?php endif; ?>
