<?php
/**
 * The template for displaying page title
 *
 * @package WordPress
 * @subpackage Pithree
 * @since pithree 1.0
 */
$page_title_layouts = G5Plus_Global::get_page_title_layout();
$cat = get_queried_object();
global $post;
$page_id = isset($post) ? $post->ID : null;
if (function_exists('wc_get_page_id') &&
    (( function_exists('is_shop') && is_shop() ) || ( function_exists('is_product_category') && is_product_category()) )
){
    $page_id = wc_get_page_id('shop');
}

if (!is_front_page() && is_home()) {
    $page_id = get_option('page_for_posts');
}
// region Archive
if ($type == 'archive') {
    // custom page_title_enable
    $page_title_enable = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_enable', array(), $page_id);
    if ($page_title_enable != '' && $page_title_enable != -1) {
        $page_title_layouts['page_title_enable'] = $page_title_enable;
    }

    // custom page_title_layout
    $page_title_layout = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_layout', array(), $page_id);
    if ($page_title_layout != '' && $page_title_layout != -1) {
        $page_title_layouts['layout'] = $page_title_layout;
    }

    // custom color page_title
    $page_title_color = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_title_color', array(), $page_id);
    if ($page_title_color != '' && $page_title_color != -1) {
        $page_title_layouts['page_title_color'] = $page_title_color;
    }

    // custom page_title
    $page_title_custom = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_custom', array(), $page_id);
    if ($page_title_custom != '') {
        $page_title_layouts['title'] = $page_title_custom;
    }

    // custom page sub title
    $enable_custom_page_subtitle = rwmb_meta(G5PLUS_METABOX_PREFIX . 'enable_custom_page_subtitle', array(), $page_id);
    if ($enable_custom_page_subtitle) {
        $page_title_layouts['sub_title'] = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_subtitle_custom', array(), $page_id);
    }

    // custom padding top
    $page_title_padding_top = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_padding_top', array(), $page_id);
    if ($page_title_padding_top != '') {
        $page_title_layouts['padding']['padding-top'] = $page_title_padding_top . 'px';
    }

    // custom padding top
    $page_title_padding_bottom = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_padding_bottom', array(), $page_id);
    if ($page_title_padding_top != '') {
        $page_title_layouts['padding']['padding-bottom'] = $page_title_padding_bottom . 'px';
    }

    //custom background color overlay

    $enable_custom_background_color = rwmb_meta(G5PLUS_METABOX_PREFIX . 'enable_custom_background_color', array(), $page_id);
    if ($enable_custom_background_color) {
        $page_title_bg_color = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_bg_color', array(), $page_id);
        $page_title_bg_color_opacity = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_bg_color_opacity', 'type=slider', $page_id) / 100;
        $page_title_bg_color_rgba = g5plus_hex2rgba($page_title_bg_color, $page_title_bg_color_opacity);
        if ($page_title_bg_color_rgba != '') {
            $page_title_layouts['background_overlay']['rgba'] = $page_title_bg_color_rgba;
        }
    }


    // custom background image
    $enable_custom_page_title_bg_image = rwmb_meta(G5PLUS_METABOX_PREFIX . 'enable_custom_page_title_bg_image', array(), $page_id);
    if ($enable_custom_page_title_bg_image) {
        $page_title_bg_images = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_bg_image', 'type=image&size=full', $page_id);
        if ($page_title_bg_images) {
            $page_title_bg_image_id = g5plus_get_post_meta($page_id, G5PLUS_METABOX_PREFIX . 'page_title_bg_image', true);
            $page_title_bg_image = $page_title_bg_images[$page_title_bg_image_id];
            if (isset($page_title_bg_image) && isset($page_title_bg_image['url'])) {
                $page_title_layouts['background-image']['url'] = $page_title_bg_image['url'];
            }
        }
    }

    // custom page title parallax
    $page_title_parallax = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_parallax', array(), $page_id);
    if ($page_title_parallax != '' && $page_title_parallax != -1) {
        $page_title_layouts['parallax'] = $page_title_parallax;
    }

    $breadcrumbs_enable = rwmb_meta(G5PLUS_METABOX_PREFIX . 'breadcrumbs_enable', array(), $page_id);
    if ($breadcrumbs_enable != '' && $breadcrumbs_enable != -1) {
        $page_title_layouts['breadcrumbs_enable'] = $breadcrumbs_enable;
    }


    /*TITLE ARCHIVE*/
    $page_sub_title = strip_tags(term_description());
    if (!empty($page_sub_title)) {
        $page_title_layouts['sub_title'] = $page_sub_title;
    }
    // custom page_title
    $page_title_custom = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_custom', array(), $page_id);
    if ($page_title_custom != '') {
        $page_title_layouts['title'] = $page_title_custom;
    } else {
        if (!have_posts()) {
            $page_title_layouts['title'] = esc_html__('Nothing Found', 'pithree');
        } elseif (is_home()) {
            $on_front = get_option('show_on_front');
            if (($on_front == 'page' && (get_queried_object_id() == get_post(get_option('page_for_posts'))->ID)) || ($on_front == 'posts')) {
                $page_title_layouts['title'] = esc_html__("Blog", 'pithree');
            } else {
                $page_title_layouts['title'] = '';
            }
        } elseif (is_category()) {
            $page_title_layouts['title'] = single_cat_title('', false);
        } elseif (is_tag()) {
            $page_title_layouts['title'] = single_tag_title(esc_html__("Tags: ", 'pithree'), false);
        } elseif (is_author()) {
            $page_title_layouts['title'] = sprintf(esc_html__('Author: %s', 'pithree'), get_the_author());
        } elseif (is_day()) {
            $page_title_layouts['title'] = sprintf(esc_html__('Daily Archives: %s', 'pithree'), get_the_date());
        } elseif (is_month()) {
            $page_title_layouts['title'] = sprintf(esc_html__('Monthly Archives: %s', 'pithree'), get_the_date(_x('F Y', 'monthly archives date format', 'pithree')));
        } elseif (is_year()) {
            $page_title_layouts['title'] = sprintf(esc_html__('Yearly Archives: %s', 'pithree'), get_the_date(_x('Y', 'yearly archives date format', 'pithree')));
        } elseif (is_search()) {
            $page_title_layouts['title'] = esc_html__('Search Result', 'pithree');
        } elseif (is_tax('post_format', 'post-format-aside')) {
            $page_title_layouts['title'] = esc_html__('Asides', 'pithree');
        } elseif (is_tax('post_format', 'post-format-gallery')) {
            $page_title_layouts['title'] = esc_html__('Galleries', 'pithree');
        } elseif (is_tax('post_format', 'post-format-image')) {
            $page_title_layouts['title'] = esc_html__('Images', 'pithree');
        } elseif (is_tax('post_format', 'post-format-video')) {
            $page_title_layouts['title'] = esc_html__('Videos', 'pithree');
        } elseif (is_tax('post_format', 'post-format-quote')) {
            $page_title_layouts['title'] = esc_html__('Quotes', 'pithree');
        } elseif (is_tax('post_format', 'post-format-link')) {
            $page_title_layouts['title'] = esc_html__('Links', 'pithree');
        } elseif (is_tax('post_format', 'post-format-status')) {
            $page_title_layouts['title'] = esc_html__('Statuses', 'pithree');
        } elseif (is_tax('post_format', 'post-format-audio')) {
            $page_title_layouts['title'] = esc_html__('Audios', 'pithree');
        } elseif (is_tax('post_format', 'post-format-chat')) {
            $page_title_layouts['title'] = esc_html__('Chats', 'pithree');
        } else {
            $page_title_layouts['title'] = esc_html__('Archives', 'pithree');
        }
    }

    $cat = get_queried_object();
    // custom page title background
    if ($cat && property_exists($cat, 'term_id')) {
        $cat_page_title_enable = g5plus_get_tax_meta($cat->term_id, 'page_title_enable');
        if($cat_page_title_enable!='' && $cat_page_title_enable!=-1){
            $page_title_layouts['page_title_enable'] = $page_title_enable;
        }
        if (is_tag()) {
            $page_title_layouts['page_title_enable'] = 1;
        }
        $page_title_bg_image = g5plus_get_tax_meta($cat->term_id, 'page_title_bg_image');
        if (isset($page_title_bg_image) && isset($page_title_bg_image['url'])) {
            $page_title_layouts['background-image']['url'] = $page_title_bg_image['url'];
        }
    }
}

// endregion
// region Services
$post_type = get_post_type();
if ($post_type == 'services') {
    if (!have_posts()) {
        $page_title_layouts['title'] = esc_html__('Nothing Found', 'pithree');
    } elseif (is_home()) {
        $on_front = get_option('show_on_front');
        if (($on_front == 'page' && (get_queried_object_id() == get_post(get_option('page_for_posts'))->ID)) || ($on_front == 'posts')) {
            $page_title_layouts['title'] = esc_html__("Services", 'pithree');
        } else {
            $page_title_layouts['title'] = '';
        }
    } elseif (is_search()) {
        $page_title_layouts['title'] = esc_html__('Search Result', 'pithree');
    } else {
        if (is_single()) {
            $page_title_layouts['title'] = get_the_title();
        } else {
            $page_title_layouts['title'] = '';
        }

        if ($page_title_layouts['title'] == '') {
            if (isset($cat) && !empty($cat)) {
                $page_title_layouts['title'] = $cat->name;
            }
        }
    }
}
// endregion
// region Page
if ($type == 'page') {
    // custom page_title_enable
    $page_title_enable = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_enable');
    if ($page_title_enable != '' && $page_title_enable != -1) {
        $page_title_layouts['page_title_enable'] = $page_title_enable;
    }
    // custom page_title_layout
    $page_title_layout = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_layout');
    if ($page_title_layout != '' && $page_title_layout != -1) {
        $page_title_layouts['layout'] = $page_title_layout;
    }

    // custom color page_title
    $page_title_color = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_title_color');
    if ($page_title_color != '' && $page_title_color != -1) {
        $page_title_layouts['page_title_color'] = $page_title_color;
    }

    // custom page_title
    $page_title_custom = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_custom');
    if ($page_title_custom != '') {
        $page_title_layouts['title'] = $page_title_custom;
    }

    // custom page sub title
    $enable_custom_page_subtitle = rwmb_meta(G5PLUS_METABOX_PREFIX . 'enable_custom_page_subtitle');
    if ($enable_custom_page_subtitle) {
        $page_title_layouts['sub_title'] = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_subtitle_custom');
    }

    // custom padding top
    $page_title_padding_top = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_padding_top');
    if ($page_title_padding_top != '') {
        $page_title_layouts['padding']['padding-top'] = $page_title_padding_top . 'px';
    }

    // custom padding top
    $page_title_padding_bottom = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_padding_bottom');
    if ($page_title_padding_top != '') {
        $page_title_layouts['padding']['padding-bottom'] = $page_title_padding_bottom . 'px';
    }

    //custom background color overlay

    $enable_custom_background_color = rwmb_meta(G5PLUS_METABOX_PREFIX . 'enable_custom_background_color');
    if ($enable_custom_background_color) {
        $page_title_bg_color = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_bg_color');
        $page_title_bg_color_opacity = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_bg_color_opacity', 'type=slider') / 100;
        $page_title_bg_color_rgba = g5plus_hex2rgba($page_title_bg_color, $page_title_bg_color_opacity);
        if ($page_title_bg_color_rgba != '') {
            $page_title_layouts['background_overlay']['rgba'] = $page_title_bg_color_rgba;
        }
    }


    // custom background image
    $enable_custom_page_title_bg_image = rwmb_meta(G5PLUS_METABOX_PREFIX . 'enable_custom_page_title_bg_image');
    if ($enable_custom_page_title_bg_image) {
        $page_title_bg_images = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_bg_image', 'type=image&size=full');
        if ($page_title_bg_images) {
            $page_title_bg_image_id = g5plus_get_post_meta(get_the_ID(), G5PLUS_METABOX_PREFIX . 'page_title_bg_image', true);
            $page_title_bg_image = $page_title_bg_images[$page_title_bg_image_id];
            if (isset($page_title_bg_image) && isset($page_title_bg_image['url'])) {
                $page_title_layouts['background-image']['url'] = $page_title_bg_image['url'];
            }
        }
    }

    // custom page title parallax
    $page_title_parallax = rwmb_meta(G5PLUS_METABOX_PREFIX . 'page_title_parallax');
    if ($page_title_parallax != '' && $page_title_parallax != -1) {
        $page_title_layouts['parallax'] = $page_title_parallax;
    }

    $breadcrumbs_enable = rwmb_meta(G5PLUS_METABOX_PREFIX . 'breadcrumbs_enable');
    if ($breadcrumbs_enable != '' && $breadcrumbs_enable != -1) {
        $page_title_layouts['breadcrumbs_enable'] = $breadcrumbs_enable;
    }
}
// endregion
// region Archive Product

if ($type == 'archive-product'
    || (function_exists('is_product_category') && is_product_category())
    || (function_exists('is_product_tag') && is_product_tag())
) {

    $page_title_layouts['title'] = woocommerce_page_title(false);

    $page_sub_title = strip_tags(term_description());
    if (!empty($page_sub_title)) {
        $page_title_layouts['sub_title'] = $page_sub_title;
    }

    $cat = get_queried_object();
    // custom page title background
    if ($cat && property_exists($cat, 'term_id')) {
        $page_title_enable = get_tax_meta($cat, G5PLUS_METABOX_PREFIX . 'page_title_enable');
        if ($page_title_enable != '' && $page_title_enable != -1) {
            $page_title_layouts['page_title_enable'] = $page_title_enable;
        }

        $page_title_bg_image = get_tax_meta($cat, G5PLUS_METABOX_PREFIX . 'page_title_bg_image');
        if (isset($page_title_bg_image) && isset($page_title_bg_image['url'])) {
            $page_title_layouts['background-image']['url'] = $page_title_bg_image['url'];
        }

    }
}
// endregion....

if (!$page_title_layouts['page_title_enable']) return;
$page_title_class = array('page-title');
$page_title_class[] = 'page-title-layout-' . $page_title_layouts['layout'];


// region Custom Styles
$custom_styles = array();
if (isset($page_title_layouts['padding']['padding-top']) && !empty($page_title_layouts['padding']['padding-top']) && ($page_title_layouts['padding']['padding-top'] != 'px')) {
    $custom_styles[] = "padding-top:" . $page_title_layouts['padding']['padding-top'];
}

if (isset($page_title_layouts['padding']['padding-bottom']) && !empty($page_title_layouts['padding']['padding-bottom']) && ($page_title_layouts['padding']['padding-bottom'] != 'px')) {
    $custom_styles[] = "padding-bottom:" . $page_title_layouts['padding']['padding-bottom'];
}

if (isset($page_title_layouts['background-image']['url']) && !empty($page_title_layouts['background-image']['url'])) {
    $custom_styles[] = 'background-image: url(' . $page_title_layouts['background-image']['url'] . ')';
    $page_title_class[] = 'page-title-background';

    if ($page_title_layouts['parallax']) {
        $page_title_class[] = 'parallax';
    }
}
$custom_style_overlay = '';
if (!empty($page_title_layouts['background_overlay']['rgba'])) {
    $custom_style_overlay = 'style= "background-color:' . $page_title_layouts['background_overlay']['rgba'] . '"';
}

$custom_style_title = '';
if (!empty($page_title_layouts['page_title_color'])) {
    $custom_style_title = 'style= "color:' . $page_title_layouts['page_title_color'] . '"';
}

$custom_style = '';
if ($custom_styles) {
    $custom_style = 'style="' . join(';', $custom_styles) . '"';
}

if (isset($page_title_layouts['background-image']['url']) && !empty($page_title_layouts['background-image']['url']) && $page_title_layouts['parallax']) {
    $custom_style .= ' data-stellar-background-ratio="0.5"';
}

// endregion
?>
<section class="<?php echo join(' ', $page_title_class); ?>" <?php echo wp_kses_post($custom_style); ?>>
    <div class="page-title-overlay" <?php echo wp_kses_post($custom_style_overlay); ?>></div>
    <div class="container">
        <div class="page-title-inner">
            <h1 <?php echo wp_kses_post($custom_style_title); ?>><?php echo esc_html($page_title_layouts['title']) ?></h1>
            <?php if (!empty($page_title_layouts['sub_title'])): ?>
                <p><?php echo esc_html($page_title_layouts['sub_title']) ?></p>
            <?php endif; ?>
            <?php if ($page_title_layouts['breadcrumbs_enable']) {
                g5plus_the_breadcrumb();
            } ?>
        </div>
    </div>
</section>
