<?php
/**
 * The template for displaying author info
 *
 * @package WordPress
 * @subpackage Hearth_Stone
 * @since Hearth Stone 1.0
 */
$single_author_info_enable = G5Plus_Global::get_option('single_author_info_enable');
if (!$single_author_info_enable) return;
$admin_profiles = new G5Plus_Admin_Profile();
$profiles =  $admin_profiles->get_customer_meta_fields();
$social_icons = '<ul class="social-profile s-rounded s-primary s-md">';
foreach ( $profiles['social-profiles']['fields'] as $key => $field ) {
	$social_url = get_the_author_meta($key);
	if (isset($social_url) && !empty($social_url)) {
		$social_icons .= '<li><a title="'. esc_attr($field['label']) .'" href="' . esc_url( $social_url ) . '" target="_blank"><i class="'. esc_attr($field['icon']) .'"></i></a></li>' . "\n";
	}
}
$social_icons .= '</ul>';
?>
<div class="author-info clearfix">
	<div class="author-info-inner clearfix">
		<div class="author-avatar clearfix">
			<?php
			/**
			 * Filter the Pithree author bio avatar size.
			 *
			 * @since Pithree 1.0
			 *
			 * @param int $size The avatar height and width size in pixels.
			 */
			$author_bio_avatar_size = apply_filters( 'g5plus_author_bio_avatar_size', 170);
			echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
			?>
		</div><!-- .author-avatar -->
		<div class="author-description">
            <h2 class="author-title"><?php the_author_posts_link(); ?></h2>
            <p class="author-bio">
                <?php the_author_meta( 'description' ); ?>
            </p><!-- .author-bio -->
            <?php echo wp_kses_post($social_icons); ?>
		</div><!-- .author-description -->
	</div>
</div><!-- .author-info -->
