<?php
/**
 * The template for displaying content related
 *
 * @package WordPress
 * @subpackage Pithree
 * @since Pithree 1.0
 */
$size = 'medium-image';
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('post-related clearfix'); ?>>
	<?php g5plus_get_post_thumbnail($size,1); ?>
	<div class="entry-content-wrap">
		<?php if (has_post_format('video')): ?>
			<i class="pe-7s-film"></i>
		<?php elseif (has_post_format('image')): ?>
			<i class="pe-7s-photo"></i>
		<?php elseif (has_post_format('gallery')): ?>
			<i class="pe-7s-photo-gallery"></i>
		<?php else: ?>
			<i class="pe-7s-news-paper"></i>
		<?php endif; ?>
		<div class="entry-content-inner">
			<h3 class="entry-post-title"><a title="<?php the_title(); ?>" href="<?php echo get_permalink(); ?>"><?php the_title(); ?></a></h3>
			<div class="entry-post-meta">
				<div class="entry-meta-date"> <?php the_time(get_option('date_format')); ?></div>
				<?php if ( comments_open() || get_comments_number() ) : ?>
					<div class="entry-meta-comment">
						<?php comments_popup_link( wp_kses_post(__(' 0 Comments','pithree')), wp_kses_post(__(' 1 Comment','pithree')), wp_kses_post(__(' % Comments','pithree')), '', ''); ?>
					</div>
				<?php endif; ?>
			</div>
			<div class="entry-excerpt">
				<?php echo g5plus_string_limit_words(get_the_excerpt(), 15);?>&hellip;<a class="p-color" title="<?php the_title(); ?>" href="<?php echo get_permalink(); ?>"><?php esc_html_e('Read more','pithree') ?></a>
			</div>
		</div>
	</div>
</article>
