<?php
/**
 * The template for displaying post related
 *
 * @package WordPress
 * @subpackage Pithree
 * @since Pithree 1.0
 */
$single_related_post_enable = G5Plus_Global::get_option('single_related_post_enable');
if (!$single_related_post_enable) return;
$post = get_post();
$single_related_post_total = G5Plus_Global::get_option('single_related_post_total');
$single_related_post_column = G5Plus_Global::get_option('single_related_post_column');
$related = g5plus_get_related_post($post->ID);
if ( sizeof( $related ) == 0 ) return;
$args = apply_filters('g5plus_related_post_args',array(
	'numberposts'       => $single_related_post_total,
	'ignore_sticky_posts' => 1,
	'post__in' => $related,
	'tax_query'            => array(
		array(
			'taxonomy' => 'post_format',
			'field' => 'slug',
			'terms' => array('post-format-quote', 'post-format-link'),
			'operator' => 'NOT IN'
		)
	)
));
$posts = get_posts($args);
if (sizeof($posts) == 0) return;
$data_plugin_options = '"slidesToShow": '. $single_related_post_column . ',"slidesToScroll": '. $single_related_post_column .', "dots": false, "arrows": true, "responsive" : [{"breakpoint": 480, "settings": {"slidesToShow": 1, "slidesToScroll": 1}}, {"breakpoint": 768, "settings": {"slidesToShow": 2, "slidesToScroll": 2}}]';

?>
<div class="post-related-wrap mg-top-40 clearfix">
	<h4 class="widget-title"><span><?php esc_html_e('Related Posts','pithree') ?></span></h4>
		<div class="slick g5plus-slick-slider slick-arrow-top" data-slick-config='{<?php echo esc_attr($data_plugin_options); ?>}'>
			<?php foreach ($posts as $item): setup_postdata( $GLOBALS['post'] = &$item );?>
				<?php g5plus_get_template('single/content-related'); ?>
			<?php endforeach; ?>
		</div>
</div>
<?php wp_reset_postdata(); ?>
