<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 8/8/2015
 * Time: 9:09 AM
 */
add_action('woocommerce_product_thumbnails', 'g5plus_quick_view_product_thumbnail');
remove_action('woocommerce_product_thumbnails', 'woocommerce_show_product_thumbnails', 20);

function g5plus_quick_view_product_thumbnail() {
	global $product, $post;
	$attachment_ids = isset($product) ? $product->get_gallery_image_ids() : '';
	if ($attachment_ids) {
		foreach ($attachment_ids as $attachment_id) {
			$image_link = wp_get_attachment_url($attachment_id);
			if (!$image_link)
				continue;
			$image_title = esc_attr(get_the_title($attachment_id));
			$image_caption = esc_attr(get_post_field('post_excerpt', $attachment_id));

			$image = wp_get_attachment_image($attachment_id, apply_filters('single_product_small_thumbnail_size', 'shop_single'), 0, $attr = array(
				'title' => $image_title,
				'alt'   => $image_title
			));

			echo apply_filters('woocommerce_single_product_image_thumbnail_html', sprintf('<a href="%s" title="%s" >%s</a>', $image_link, $image_caption, $image), $attachment_id, $post->ID);
		}
	}
}

global $product;
$g5plus_options = &G5Plus_Global::get_options();
$classes = array('product');
$classes[] = 'add-to-cart-animation-visible';

$product_new = get_post_meta(get_the_ID(), 'g5plus_product_new', true);
$product_hot = get_post_meta(get_the_ID(), 'g5plus_product_hot', true);
$is_on_sale = $product->is_on_sale();
$multiple_flash = ($is_on_sale && ($product_new == 'yes' || $product_hot == 'yes')) ? 'multiple-flash' : '';
if ($product_hot == 'yes') {
	$multiple_flash .= ' hot-flash';
}
if ($product_new == 'yes') {
	$multiple_flash .= ' new-flash';
}
if ($is_on_sale) {
	$multiple_flash .= ' onsale-flash';
}
if($product->get_type()!='variable'){
	remove_action('woocommerce_single_product_summary','woocommerce_template_single_price',10);
	add_action('woocommerce_single_product_summary','woocommerce_template_single_price',25);
}

?>
<div id="popup-product-quick-view-wrapper" class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog"
     aria-hidden="true">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
			<a class="popup-close micon icon-wrong6" data-dismiss="modal" href="javascript:;"></a>
			<div class="modal-body">
				<div class="woocommerce">
					<div id="product-<?php the_ID(); ?>" <?php post_class($classes); ?>>
						<div class="row single-product-info clearfix">
							<div class="col-sm-6 col-xs-12 single-product-image-wrap has-sidebar">
								<div class="single-product-image <?php echo esc_attr($multiple_flash) ?>">
									<?php
									/**
									 * woocommerce_before_single_product_summary hook
									 *
									 * @hooked woocommerce_show_product_sale_flash - 10
									 * @hooked g5plus_quick_view_product_images - 20
									 */
									do_action('woocommerce_before_single_product_summary');
									?>
								</div>
							</div>
							<div class="col-sm-6 col-xs-12 single-product-summary-wrap">
								<div class="summary-product entry-summary">
									<?php
									/**
									 * woocommerce_single_product_summary hook
									 *
									 * @hooked g5plus_template_quick_view_product_title - 5
									 * @hooked woocommerce_template_single_price - 10
									 * @hooked g5plus_template_quick_view_product_rating - 15
									 * @hooked woocommerce_template_single_excerpt - 20
									 * @hooked woocommerce_template_single_add_to_cart - 30
									 * @hooked woocommerce_template_single_meta - 40
									 * @hooked woocommerce_template_single_sharing - 50
									 */
									do_action('woocommerce_single_product_summary');
									?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
	$suffix = defined('SCRIPT_DEBUG') && SCRIPT_DEBUG ? '' : '.min';
	$assets_path = str_replace(array('http:', 'https:'), '', WC()->plugin_url()) . '/assets/';
	$frontend_script_path = $assets_path . 'js/frontend/';
	$add_to_cart_url = $frontend_script_path . 'add-to-cart' . $suffix . '.js';
	$add_to_cart_variation_url = $frontend_script_path . 'add-to-cart-variation' . $suffix . '.js';
	$underscore_url = G5PLUS_HOME_URL . 'wp-includes/js/underscore.min.js';
	$wp_util_url = G5PLUS_HOME_URL. 'wp-includes/js/wp-util.min.js';
	?>
	<script type="text/javascript" src="<?php echo esc_url($add_to_cart_url); ?>"></script>
	<?php if ($product->get_type() == 'variable') : ?>
		<?php if (defined('WOOCOMMERCE_VERSION') && version_compare(WOOCOMMERCE_VERSION,'2.5.0','>=')) : ?>
		<?php wc_get_template( 'single-product/add-to-cart/variation.php' ); ?>
		<script type="text/javascript" src="<?php echo esc_url($underscore_url); ?>"></script>
		<script type="text/javascript" src="<?php echo esc_url($wp_util_url); ?>"></script>
			<script>
				if (typeof(wc_add_to_cart_variation_params) === 'undefined') {
					var wc_add_to_cart_variation_params = {
						'i18n_no_matching_variations_text' : '<?php echo esc_attr__( 'Sorry, no products matched your selection. Please choose a different combination.', 'pithree' ); ?>',
						'i18n_make_a_selection_text' : '<?php echo esc_attr__( 'Select product options before adding this product to your cart.', 'pithree' ); ?>',
						'i18n_unavailable_text' : '<?php echo esc_attr__( 'Sorry, this product is unavailable. Please choose a different combination.', 'pithree' ); ?>'
					};
				}
			</script>
		<?php endif; ?>
		<script type="text/javascript" src="<?php echo esc_url($add_to_cart_variation_url); ?>"></script>
	<script>
		(function ($) {
			"use strict";
			$('.variations_form').wc_variation_form();
			$('.variations_form .variations select').change();



		})(jQuery);
	</script>
	<?php endif; ?>
</div>
<?php
if($product->get_type()!='variable') {
	remove_action('woocommerce_single_product_summary', 'woocommerce_template_single_price', 25);
	add_action('woocommerce_single_product_summary', 'woocommerce_template_single_price', 10);
}


remove_action('woocommerce_product_thumbnails', 'g5plus_quick_view_product_thumbnail');
?>