<?php
/**
 * Product Loop Start
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/loop-start.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */
global $woocommerce_loop;
if ( empty( $woocommerce_loop['columns'] ) ) {
    $woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
}
$wrap_class = "products row";
$data_plugin_options = null;
$columns = $woocommerce_loop['columns'];
if(isset($woocommerce_loop['carousel'])){
    $responsives = array();
    $responsives[480] = 1;
    $responsives[768] = 2;
    $responsives[1200] = $columns;

    $slick_attributes = array(
        '"slidesToShow": '.$columns,
        '"arrows" : true',
        '"dots" : false',
        '"slidesToScroll": 1',
        '"responsive" : [{"breakpoint": 480, "settings": {"slidesToShow": '.$responsives[480].'} }, {"breakpoint": 768, "settings": {"slidesToShow": '.$responsives[768].'}}, {"breakpoint": 1200, "settings": {"slidesToShow": '.$responsives[1200].'}}]'
    );
    $data_plugin_options = "data-slick-config='{". implode(', ', $slick_attributes) ."}'";
}else{
    $wrap_class.=' no-slick';
}
?>
<?php if(isset($data_plugin_options)): ?>
    <div class="slick <?php echo esc_attr($wrap_class); ?>" <?php echo sprintf('%s',$data_plugin_options); ?>>
<?php else: ?>
    <div class="<?php echo esc_attr($wrap_class); ?>" >
<?php endif; ?>
