<?php
/**
 * Login Form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-login.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

?>

<?php wc_print_notices(); ?>

<?php do_action( 'woocommerce_before_customer_login_form' ); ?>


<?php if ( get_option( 'woocommerce_enable_myaccount_registration' ) === 'yes' ) : ?>

<div class="u-columns col2-set" id="customer_login">

	<div class="u-column1 col-1">

        <?php endif; ?>

        <div class="form-login-title">
            <h4 class="p-font"><?php esc_html_e( 'Login', 'pithree' ); ?></h4>
        </div>

        <form method="post" class="login">

            <?php do_action( 'woocommerce_login_form_start' ); ?>

            <p class="woocommerce-FormRow woocommerce-FormRow--wide form-row form-row-wide">
                <span>
                    <input type="text" class="input-text" name="username" placeholder="<?php esc_html_e( 'Username or email address', 'pithree' ); ?>" id="username" value="<?php if ( ! empty( $_POST['username'] ) ) echo esc_attr( $_POST['username'] ); ?>" />
                    <i class="fa fa-user"></i>
                </span>

            </p>
            <p class="woocommerce-FormRow woocommerce-FormRow--wide form-row form-row-wide">
                <span>
                    <input class="input-text" placeholder="<?php esc_html_e( 'Password', 'pithree' ); ?>" type="password" name="password" id="password" />
                    <i class="fa fa-unlock"></i>
                </span>
            </p>

            <?php do_action( 'woocommerce_login_form' ); ?>

            <p class="form-row">
                <?php wp_nonce_field( 'woocommerce-login' ); ?>
                <input type="submit" class="button" name="login" value="<?php esc_attr_e( 'Login', 'pithree' ); ?>" />
            </p>
            <p class="woocommerce-LostPassword lost_password">
                <label class="_checkbox">
                    <input name="rememberme" type="checkbox" id="rememberme" value="forever" />
                    <i class="micon icon-accepted"></i><span><?php esc_html_e( 'Remember me', 'pithree' ); ?></span>
                </label>
                <a href="<?php echo esc_url( wp_lostpassword_url() ); ?>"><?php esc_html_e( 'Lost your password?', 'pithree' ); ?></a>
            </p>
            <?php do_action( 'woocommerce_login_form_end' ); ?>

        </form>

        <?php  if ( get_option( 'woocommerce_enable_myaccount_registration' ) === 'yes' ) : ?>

    </div>

	<div class="u-column2 col-2">

        <div class="form-login-title">
            <h4 class="p-font"><?php esc_html_e( 'Register', 'pithree' ); ?></h4>
        </div>
        <form method="post" class="register">

            <?php do_action( 'woocommerce_register_form_start' ); ?>

            <?php if ( 'no' === get_option( 'woocommerce_registration_generate_username' ) ) : ?>
                <p class="woocommerce-FormRow woocommerce-FormRow--wide form-row form-row-wide">
                    <span>
                        <input type="text" class="input-text" name="username" id="reg_username" value="<?php if ( ! empty( $_POST['username'] ) ) echo esc_attr( $_POST['username'] ); ?>" />
                        <i class="fa fa-user"></i>
                    </span>
                </p>

            <?php endif; ?>

            <p class="woocommerce-FormRow woocommerce-FormRow--wide form-row form-row-wide">
                 <span>
                         <input type="email" class="input-text" name="email" id="reg_email" value="<?php if ( ! empty( $_POST['email'] ) ) echo esc_attr( $_POST['email'] ); ?>" />
                        <i class="fa fa-user"></i>
                    </span>
            </p>

            <?php if ( 'no' === get_option( 'woocommerce_registration_generate_password' ) ) : ?>

                <p class="woocommerce-FormRow woocommerce-FormRow--wide form-row form-row-wide">
                     <span>
                        <input type="password" class="input-text" name="password" id="reg_password" />
                        <i class="fa fa-unlock"></i>
                    </span>
                </p>

            <?php endif; ?>

            <!-- Spam Trap -->
            <div style="<?php echo ( ( is_rtl() ) ? 'right' : 'left' ); ?>: -999em; position: absolute;"><label for="trap"><?php esc_html_e( 'Anti-spam', 'pithree' ); ?></label><input type="text" name="email_2" id="trap" tabindex="-1" /></div>

            <?php do_action( 'woocommerce_register_form' ); ?>
            <?php do_action( 'register_form' ); ?>

            <p class="woocomerce-FormRow form-row">
                <?php wp_nonce_field( 'woocommerce-register' ); ?>
                <input type="submit" class="button" name="register" value="<?php esc_attr_e( 'Register', 'pithree' ); ?>" />
                <span class="register-notice">
                    <?php esc_html_e('* You must be a free registered user to submit content.','') ?>
                </span>
            </p>

            <?php do_action( 'woocommerce_register_form_end' ); ?>

        </form>

    </div>

</div>
<?php endif; ?>

<?php do_action( 'woocommerce_after_customer_login_form' ); ?>
