<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 6/8/2015
 * Time: 3:24 PM
 */
if (class_exists('WooCommerce') && !class_exists('G5Plus_Woocommerce')) {
    class G5Plus_Woocommerce
    {

        private $wrap_class = null;
        private $sidebar_col = null;
        private $sidebar_width = null;
        private $sidebar_layout = null;
        private $sidebar = null;
        private $wrap_layout_style = null;
        private $archive_display_columns = null;
        private $archive_enable_add_to_cart = null;
        private $archive_show_rating = null;
        private $product_show_sale_countdown = null;
        private $related_post_per_page = 4;
        private $related_columns = 4;
        private $show_category = null;
        private $related_tag_condition = 1;
        private $related_category_condition = 1;

        function __construct()
        {
            $this->get_woocommerce_setting();

            add_filter('yith_wcwl_button_icon', array($this, 'g5plus_filter_yith_wcwl_button_icon'));


            add_filter('woocommerce_show_page_title', array($this, 'g5plus_filter_woocommerce_show_page_title'));

            /**
             * Remove breadcrum and add theme page heading
             */
            add_action('woocommerce_before_main_content', array($this, 'g5plus_woocommerce_page_heading'), 0);

            /**
             * Remove woocommerce siderbar, get left sidebar and open <main> tag
             */
            add_action('woocommerce_before_main_content', array($this, 'g5plus_woocommerce_before_main_content'), 5);

            /**
             * Remove woocommerce sidebar, get right siderbar and close <main> tag
             **/
            add_action('woocommerce_after_main_content', array($this, 'g5plus_woocommerce_after_main_content'), 20);


            /**
             * Set loop columns, remove rating and show/hide result count and order filter
             */
            add_action('woocommerce_before_shop_loop', array($this, 'g5plus_woocommerce_before_shop_loop'), 0);
            /**
             * Restore loop columns and rating default
             */
            add_action('woocommerce_after_shop_loop', array($this, 'g5plus_woocommerce_after_shop_loop'), 50);

            /**
             * Remove product link open and add div wrapper open
             */
            add_action('woocommerce_before_shop_loop_item', array($this, 'g5plus_woocommerce_before_shop_loop_item'), 0);

            /**
             * Add product link to item title and sale,feature
             */

            add_action('woocommerce_before_shop_loop_item_title', array($this, 'g5plus_woocommerce_before_shop_loop_item_title'), 0);

            /**
             * Add div title wrapper product title, add cart button and open link for product title
             * Close link for product title, Add Quickview button
             * Close div title wrapper
             */
            add_action('woocommerce_shop_loop_item_title', array($this, 'g5plus_woocommerce_shop_loop_item_title_open_container'), 0);
            add_action('woocommerce_shop_loop_item_title', array($this, 'g5plus_woocommerce_template_loop_product_link_open'), 1);
            add_action('woocommerce_shop_loop_item_title', array($this, 'g5plus_woocommerce_template_loop_product_title_link_close'), 20);
            add_action('woocommerce_shop_loop_item_title', array($this, 'g5plus_woocommerce_shop_loop_item_title_close_container'), 30);

            /**
             * Add product cat
             */
            if ($this->show_category == '1') {
                add_action('woocommerce_after_shop_loop_item_title', array($this, 'g5plus_woocommerce_shop_loop_product_category'), 0);
            }

            /**
             * Remove product link close and add div wrapper close
             */
            add_action('woocommerce_after_shop_loop_item', array($this, 'g5plus_woocommerce_after_shop_loop_item'), 0);

            /**
             * Remove compare button in product list
             */
            global $yith_woocompare;
            if (isset($yith_woocompare->obj)) {
                remove_action('woocommerce_after_shop_loop_item', array($yith_woocompare->obj, 'add_compare_link'), 20);
            }

            /**
             * Add tooltip to cart button
             */
            add_filter('woocommerce_loop_add_to_cart_link', array($this, 'g5plus_woocommerce_loop_add_tool_tip_to_cart_link'));

            /**
             * Add filter for paging
             */
            add_filter('woocommerce_pagination_args', array($this, 'g5plus_woocommerce_pagination_args'));

            /** Add filter sale_flash */
            add_filter('woocommerce_sale_flash', array($this, 'g5plus_woocommerce_sale_flash'), 10, 3);

            /**
             * Cart page hook
             */
            remove_action('woocommerce_cart_collaterals', 'woocommerce_cross_sell_display');
            remove_action('woocommerce_proceed_to_checkout', 'woocommerce_button_proceed_to_checkout', 20);
            add_action('woocommerce_cart_actions', 'woocommerce_button_proceed_to_checkout', 20);

            /**
             * Single page hook
             */
            add_action('woocommerce_before_single_product', array($this, 'g5plus_woocommerce_before_single_product'));
            add_action('woocommerce_before_single_product_summary', array($this, 'g5plus_woocommerce_single_product_start_thumbnail'), 0);
            add_action('woocommerce_before_single_product_summary', array($this, 'g5plus_woocommerce_single_product_end_thumbnail'), 30);
            add_action('woocommerce_before_single_product_summary', array($this, 'g5plus_woocommerce_show_product_loop_feature_out_stock_flash'), 5);
            if ($this->product_show_sale_countdown == '1') {
                add_action('woocommerce_before_single_product_summary', array($this, 'g5plus_woocommerce_show_product_loop_sale_countdown'), 5);
            }

            add_action('woocommerce_product_thumbnails', array($this, 'g5plus_single_product_thumbnail'));
            add_filter('woocommerce_product_description_heading', '__return_false');
            add_filter('woocommerce_product_additional_information_heading', '__return_false');
            add_filter('woocommerce_review_gravatar_size', array($this, 'g5plus_woocommerce_review_gravatar_size'));
            remove_action('woocommerce_product_thumbnails', 'woocommerce_show_product_thumbnails', 20);
            add_action('woocommerce_single_product_summary', 'woocommerce_show_product_thumbnails', 60);
            add_action('woocommerce_share', 'g5plus_the_social_share', 10);
            add_action('woocommerce_after_single_product_summary', array($this, 'g5plus_woocommerce_remove_rating'), 0);
            add_action('woocommerce_after_single_product_summary', array($this, 'g5plus_woocommerce_add_rating'), 50);
            add_filter('woocommerce_output_related_products_args', array($this, 'g5plus_woocommerce_set_related_products_args'));

            add_filter('woocommerce_product_related_posts_relate_by_category', array($this, 'g5plus_woocommerce_product_related_posts_relate_by_category'));
            add_filter('woocommerce_product_related_posts_relate_by_tag', array($this, 'g5plus_woocommerce_product_related_posts_relate_by_tag'));
        }

        function get_woocommerce_setting()
        {
            global $post;

            $page_id = isset($post) ? $post->ID : null;
            if ((function_exists('wc_get_page_id') && function_exists('is_shop') && is_shop())
                || (function_exists('is_product_category') && is_product_category())
                || (function_exists('is_product_tag') && is_product_tag())
            ) {
                $page_id = wc_get_page_id('shop');
                g5plus_set_page_layout_setting($page_id);
            }
            if ((function_exists('is_product') && is_product())
                || (function_exists('is_product_category') && is_product_category())
                || (function_exists('is_product_tag') && is_product_tag())
            ){
                g5plus_set_page_layout_setting($page_id);
            }
            $g5plus_woocommerce_loop = &G5Plus_Global::get_woocommerce_loop();
            $g5plus_options = &G5Plus_Global::get_options();
            $page_layout = G5Plus_Global::get_page_layout();
            $this->archive_enable_add_to_cart = isset($g5plus_options['product_add_to_cart']) ? $g5plus_options['product_add_to_cart'] : true;
            $this->archive_show_rating = isset($g5plus_options['product_show_rating']) ? $g5plus_options['product_show_rating'] : false;
            $this->product_show_sale_countdown = isset($g5plus_options['product_sale_count_down_enable']) ? $g5plus_options['product_sale_count_down_enable'] : '1';
            $this->related_post_per_page = isset($g5plus_options['related_product_count']) ? $g5plus_options['related_product_count'] : $this->related_post_per_page;
            $this->related_columns = isset($g5plus_options['related_product_display_columns']) ? $g5plus_options['related_product_display_columns'] : $this->related_columns;
            $this->show_category = isset($g5plus_options['product_category_enable']) ? $g5plus_options['product_category_enable'] : '';
            $this->related_category_condition = $g5plus_options['related_product_condition']['category'];
            $this->related_tag_condition = $g5plus_options['related_product_condition']['tag'];

            //region Sidebar
            $this->sidebar_layout = isset($_GET['sidebar']) ? $_GET['sidebar'] : '';
            if (!in_array($this->sidebar_layout, array('none', 'left', 'right'))) {
                $this->sidebar_layout = $page_layout['sidebar_layout'];
            }
            $this->sidebar = $page_layout['sidebar'];

            $this->sidebar_width = isset($_GET['sidebar_width']) ? $_GET['sidebar_width'] : '';
            if (!in_array($this->sidebar_width, array('small', 'large'))) {
                $this->sidebar_width = $page_layout['sidebar_width'];
            }

            $this->sidebar_col = 'col-md-3';
            if ($this->sidebar_width == 'large') {
                $this->sidebar_col = 'col-md-4';
            }
            //endregion

            //region Archive layout
            $this->wrap_layout_style = isset($_GET['layout']) ? $_GET['layout'] : '';
            if (!in_array($this->wrap_layout_style, array('full', 'container', 'container-fluid'))) {
                $this->wrap_layout_style = $page_layout['layout'];
            }
            if (is_singular('product')) {
                $this->wrap_class = array('single-product-wrap', 'clearfix');
            } else {
                $this->wrap_class = array('archive-product-wrap', 'clearfix');
            }

            $this->wrap_class[] = 'layout-' . $this->wrap_layout_style;


            $content_col_number = 12;
            if (is_active_sidebar($this->sidebar) && (($this->sidebar_layout == 'right') || ($this->sidebar_layout == 'left'))) {
                if ($this->sidebar_width == 'large') {
                    $content_col_number -= 4;
                } else {
                    $content_col_number -= 3;
                }
            }

            $this->archive_display_columns = 3;
            $this->archive_display_columns = isset($_GET['columns']) ? $_GET['columns'] : '';
            if (!in_array($this->archive_display_columns, array('2', '3', '4'))) {
                $this->archive_display_columns = isset($g5plus_options['product_display_columns']) ? $g5plus_options['product_display_columns'] : '3';
            }
            $g5plus_woocommerce_loop['columns'] = $this->archive_display_columns;

            $content_col = 'col-md-' . $content_col_number;
            if (($content_col_number == 12) && ($this->wrap_layout_style == 'full')) {
                $content_col = '';
            }
            $this->wrap_class[] = $content_col;

            //endregion
        }

        function g5plus_filter_woocommerce_show_page_title()
        {
            return false;
        }

        function g5plus_woocommerce_page_heading()
        {
            remove_action('woocommerce_before_main_content', 'woocommerce_breadcrumb', 20);
            if (is_singular('product')) {
                do_action('g5plus_before_page');
            } else {
                do_action('g5plus_before_archive');
            }

        }

        function g5plus_woocommerce_before_main_content()
        {
            remove_action('woocommerce_sidebar', 'woocommerce_get_sidebar', 10);
            echo sprintf("<main class='site-content-archive-product'><span class='icon-filter' data-toggle='tooltip' data-placement='top' title='%s'><i class='fa fa-sliders'></i></span><div class='%s'>", esc_html__('Show filter', 'pithree'), $this->wrap_layout_style);
            $this->g5plus_get_left_sidebar();
            echo sprintf("<div class='%s'>", join(' ', $this->wrap_class));
        }

        function g5plus_woocommerce_after_main_content()
        {
            remove_action('woocommerce_sidebar', 'woocommerce_get_sidebar', 10);
            echo '</div>';
            $this->g5plus_get_right_sidebar();
            echo '</div></main>';
        }

        function g5plus_get_left_sidebar()
        {
            if (is_active_sidebar($this->sidebar) && ($this->sidebar_layout == 'left')): ?>
                <div
                    class="sidebar woocommerce-sidebar <?php echo esc_attr($this->sidebar_col) ?> hidden-sm hidden-xs sidebar-<?php echo esc_attr($this->sidebar_width); ?>">
                    <?php dynamic_sidebar($this->sidebar); ?>
                </div>
            <?php endif;
        }

        function g5plus_get_right_sidebar()
        {
            if (is_active_sidebar($this->sidebar) && ($this->sidebar_layout == 'right')): ?>
                <div
                    class="sidebar woocommerce-sidebar <?php echo esc_attr($this->sidebar_col) ?> hidden-sm hidden-xs sidebar-<?php echo esc_attr($this->sidebar_width); ?>">
                    <?php dynamic_sidebar($this->sidebar); ?>
                </div>
            <?php endif;
        }

        public static function g5plus_woocommerce_loop_columns()
        {
            global $g5plus_woocommerce_loop;
            $g5plus_woocommerce_loop = &G5Plus_Global::get_woocommerce_loop();
            return $g5plus_woocommerce_loop['columns'];
        }

        public static function g5plus_woocommerce_set_loop_columns()
        {
            global $g5plus_woocommerce_loop;
            $g5plus_woocommerce_loop = &G5Plus_Global::get_woocommerce_loop();
            $g5plus_woocommerce_loop['columns'] = isset($g5plus_woocommerce_loop['columns']) ? $g5plus_woocommerce_loop['columns'] : 4;
            add_filter('loop_shop_columns', 'G5Plus_Woocommerce::g5plus_woocommerce_loop_columns', 1);
        }

        public static function g5plus_woocommerce_reset_loop_columns()
        {
            remove_filter('loop_shop_columns', 'G5Plus_Woocommerce::g5plus_woocommerce_loop_columns', 1);
        }

        function g5plus_woocommerce_before_shop_loop()
        {
            G5Plus_Woocommerce::g5plus_woocommerce_set_loop_columns();
            $g5plus_options = &G5Plus_Global::get_options();
            $product_show_result_count = isset($g5plus_options['product_show_result_count']) ? $g5plus_options['product_show_result_count'] : '1';
            $product_show_catalog_ordering = isset($g5plus_options['product_show_catalog_ordering']) ? $g5plus_options['product_show_catalog_ordering'] : '1';
            if ($product_show_result_count == '0') {
                remove_action('woocommerce_before_shop_loop', 'woocommerce_result_count', 20);
            }
            if ($product_show_catalog_ordering == '0') {
                remove_action('woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30);
            }
            if (!$this->archive_show_rating) {
                remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
            }
        }

        function g5plus_woocommerce_after_shop_loop()
        {
            G5Plus_Woocommerce::g5plus_woocommerce_reset_loop_columns();
            if (!$this->archive_show_rating) {
                add_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
            }
        }

        function g5plus_woocommerce_before_shop_loop_item()
        {
            remove_action('woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10);

            global $product;
            $is_on_sale = $product->is_on_sale();
            $show_feature = isset($g5plus_options['product_featured_label_enable']) ? $g5plus_options['product_featured_label_enable'] : '';
            $show_feature = $show_feature == '1' & $product->is_featured();
            $multiple_flash = ($is_on_sale && $show_feature) ? 'multiple-flash' : '';
            if ($show_feature) {
                $multiple_flash .= ' feature-flash';
            }
            if ($is_on_sale) {
                $multiple_flash .= ' onsale-flash';
            }

            $g5plus_options = &G5Plus_Global::get_options();
            $s_padding = isset($g5plus_options['archive_product_image_shadow']) || isset($g5plus_options['archive_product_image_round']) ? 's-padding' : '';
            $img_shadow = isset($g5plus_options['archive_product_image_shadow']) ? $g5plus_options['archive_product_image_shadow'] : '';
            $img_border = isset($g5plus_options['archive_product_image_round']) ? $g5plus_options['archive_product_image_round'] : '';

            echo "<div class='$multiple_flash $s_padding $img_shadow $img_border'>"; //<div class='thumbnail-wrap'>
        }

        function g5plus_woocommerce_after_shop_loop_item()
        {
            remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5);
            remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10);
            echo '</div>';
        }

        function g5plus_woocommerce_shop_loop_product_category()
        {
            global $product;
            echo wc_get_product_category_list($product->get_id(),', ', '<span class="posted_in">', '</span>');
        }

        function g5plus_woocommerce_before_shop_loop_item_title()
        {
            add_action('g5_woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10);
            add_action('g5_woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
            add_action('g5_woocommerce_before_shop_loop_item_title', array($this, 'g5plus_woocommerce_show_product_loop_feature_out_stock_flash'), 10);
            if ($this->product_show_sale_countdown == '1') {
                add_action('g5_woocommerce_before_shop_loop_item_title', array($this, 'g5plus_woocommerce_show_product_loop_sale_countdown'), 15);
            }
            wc_get_template('loop/before-item-title.php');
        }

        function g5plus_woocommerce_template_loop_product_link_open()
        {
            echo '<a href="' . get_the_permalink() . '">';
        }

        function g5plus_woocommerce_template_loop_product_title_link_close()
        {
            echo '</a>';
        }

        function g5plus_woocommerce_shop_loop_item_title_open_container()
        {
            echo '<div class="title-wrap">';
            if ($this->archive_enable_add_to_cart)
                add_action('woocommerce_shop_loop_item_title', 'woocommerce_template_loop_add_to_cart', 20);
        }

        function g5plus_woocommerce_shop_loop_item_title_close_container()
        {
            echo '</div>';
        }

        function g5plus_woocommerce_loop_add_tool_tip_to_cart_link($link_button)
        {
            global $product;
            $title = '';
            if ($product->get_type() == 'simple' && $product->is_in_stock()) {
                $title = esc_html__('Add to cart', 'pithree');
                if (!strrpos($link_button, '<a')) {
                    $link_button = str_replace('<a', '<span class="add-to-cart-wrap" data-toggle="tooltip" data-placement="top" title="' . $title . '"><a', $link_button);
                    $link_button .= '</span>';
                }
            }
            if ($product->get_type() == 'variable') {
                $title = esc_html__('Select options', 'pithree');
            }
            if ($product->get_type() == 'grouped') {
                $title = esc_html__('View products', 'pithree');
            }
            if ($product->get_type() == 'external') {
                $title = esc_html__('Buy product', 'pithree');
            }
            if ($title != '' && $product->get_type() != 'simple') {
                $link_button = str_replace('<a', '<a  data-toggle="tooltip" data-placement="top" title="' . $title . '"', $link_button);
            }
            if (!$product->is_in_stock()) {
                $title = esc_html__('Out of stock', 'pithree');
                $link_button = str_replace('<a', '<a data-type="out-of-stock"  data-toggle="tooltip" data-placement="top" title="' . $title . '"', $link_button);
            }

            return $link_button;
        }

        function g5plus_woocommerce_show_product_loop_feature_out_stock_flash()
        {
            global $post, $product;
            $g5plus_options = &G5Plus_Global::get_options();
            $show_feature = isset($g5plus_options['product_featured_label_enable']) ? $g5plus_options['product_featured_label_enable'] : '';
            $show_feature = $show_feature == '1' & $product->is_featured();
            if ($show_feature) {
                $feature_title = isset($g5plus_options['product_featured_label_text']) ? $g5plus_options['product_featured_label_text'] : '';
                if ($feature_title != '') {
                    echo apply_filters('woocommerce_feature_flash', '<span class="feature">' . $feature_title . '</span>', $post, $product);
                }
            }
            if (!$product->is_in_stock()) {
                $out_of_stock_title = isset($g5plus_options['archive_product_out_of_stock_title']) ? $g5plus_options['archive_product_out_of_stock_title'] : '';
                if ($out_of_stock_title != '') {
                    echo apply_filters('woocommerce_out_of_stock_flash', '<span class="out-of-stock">' . $out_of_stock_title . '</span>', $post, $product);
                }
            }
        }

        function g5plus_woocommerce_show_product_loop_sale_countdown()
        {
            global $product;
            if ($product->is_on_sale()) {
                wc_get_template('sale-countdown.php');
            }
        }


        function g5plus_woocommerce_pagination_args($array)
        {
            global $wp_query;
            return array(
                'base'      => esc_url_raw(str_replace(999999999, '%#%', remove_query_arg('add-to-cart', get_pagenum_link(999999999, false)))),
                'format'    => '',
                'add_args'  => false,
                'current'   => max(1, get_query_var('paged')),
                'total'     => $wp_query->max_num_pages,
                'prev_text' => esc_html__('Prev', 'pithree'),
                'next_text' => esc_html__('Next', 'pithree'),
                'type'      => 'list',
                'end_size'  => 3,
                'mid_size'  => 3
            );
        }

        function g5plus_filter_yith_wcwl_button_icon($icon_option)
        {
            return 'fa fa-heart-o';
        }

        function g5plus_woocommerce_before_single_product()
        {
            global $product;
            if ($product->get_type() == 'simple') {
                add_action('woocommerce_single_product_summary', 'woocommerce_template_single_price', 25);
            }
            remove_action('woocommerce_single_product_summary', 'woocommerce_template_single_price', 10);
        }

        function g5plus_woocommerce_single_product_start_thumbnail()
        {
            global $product;
            $is_on_sale = $product->is_on_sale();
            $show_feature = isset($g5plus_options['product_featured_label_enable']) ? $g5plus_options['product_featured_label_enable'] : '';
            $show_feature = $show_feature == '1' & $product->is_featured();
            $multiple_flash = ($is_on_sale && $show_feature) ? 'multiple-flash' : '';
            if ($show_feature) {
                $multiple_flash .= ' feature-flash';
            }
            if ($is_on_sale) {
                $multiple_flash .= ' onsale-flash';
            }

            echo "<div class='single-thumbnail-wrap $multiple_flash'>";
        }

        function g5plus_single_product_thumbnail()
        {
            global $product, $post;
            $attachment_ids = isset($product) ? $product->get_gallery_image_ids() : '';
            if ($attachment_ids) {
                foreach ($attachment_ids as $attachment_id) {
                    $image_link = wp_get_attachment_url($attachment_id);
                    if (!$image_link)
                        continue;
                    $image_title = esc_attr(get_the_title($attachment_id));
                    $image_caption = esc_attr(get_post_field('post_excerpt', $attachment_id));

                    $image = wp_get_attachment_image($attachment_id, apply_filters('single_product_small_thumbnail_size', 'shop_single'), 0, $attr = array(
                        'title' => $image_title,
                        'alt'   => $image_title
                    ));

                    echo apply_filters('woocommerce_single_product_image_thumbnail_html', sprintf('<a href="%s" title="%s" >%s</a>', $image_link, $image_caption, $image), $attachment_id, $post->ID);
                }
            }
        }

        function g5plus_woocommerce_review_gravatar_size()
        {
            return 100;
        }

        function g5plus_woocommerce_single_product_end_thumbnail()
        {
            echo '</div>';
        }

        function g5plus_woocommerce_remove_rating()
        {
            remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
        }

        function g5plus_woocommerce_add_rating()
        {
            add_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
        }

        function g5plus_woocommerce_sale_flash($sale_flash, $post, $product)
        {
            global $product;
            $sale_title = '';
            $g5plus_options = &G5Plus_Global::get_options();
            $product_sale_flash_mode = isset($g5plus_options['product_sale_flash_mode']) ? $g5plus_options['product_sale_flash_mode'] : '';
            if ($product_sale_flash_mode == '')
                return;

            if ($product_sale_flash_mode == 'percent') {
                $sale_percent = 0;
                if ($product->is_on_sale() && $product->get_type() != 'grouped') {
                    if ($product->get_type() == 'variable') {
                        $available_variations = $product->get_available_variations();
                        for ($i = 0; $i < count($available_variations); ++$i) {
                            $variation_id = $available_variations[$i]['variation_id'];
                            $variable_product1 = new WC_Product_Variation($variation_id);
                            $regular_price = $variable_product1->get_regular_price();
                            $sales_price = $variable_product1->get_sale_price();
                            $price = $variable_product1->get_price();
                            if ($sales_price != $regular_price && $sales_price == $price && $regular_price > 0) {
                                $percentage = round(((($regular_price - $sales_price) / $regular_price) * 100), 1);
                                if ($percentage > $sale_percent) {
                                    $sale_percent = $percentage;
                                }
                            }
                        }
                    } else {
                        if ($product->get_regular_price()) {
                            $sale_percent = round(((($product->get_regular_price() - $product->get_sale_price()) / $product->get_regular_price()) * 100), 1);
                        }
                    }
                }
                if ($sale_percent > 0) {
                    $sale_title = $sale_percent . ' %';
                }
            }
            if ($product_sale_flash_mode == 'text') {
                $sale_title = isset($g5plus_options['product_sale_label_text']) ? $g5plus_options['product_sale_label_text'] : esc_html__('Sale !', 'pithree');
            }
            $sale_flash = '<span class="onsale">' . $sale_title . '</span>';
            return $sale_flash;
        }

        function g5plus_woocommerce_set_related_products_args($args)
        {
            global $woocommerce_loop;
            if (isset($args) && is_array($args)) {
                $args['posts_per_page'] = $this->related_post_per_page;
                if (in_array($this->sidebar, array('left', 'right', 'both'))) {
                    $columns = 3;
                }
                $args['columns'] = $this->related_columns;
                if ($this->related_post_per_page > $this->related_columns) {
                    $woocommerce_loop['carousel'] = '';
                }
            }
            return $args;
        }

        function g5plus_woocommerce_product_related_posts_relate_by_category()
        {
            return $this->related_category_condition == 1 ? true : false;
        }

        function g5plus_woocommerce_product_related_posts_relate_by_tag()
        {
            return $this->related_tag_condition == 1 ? true : false;
        }
    }

    new G5Plus_Woocommerce();
}